Index: CONFIG/UNIFORM/v7/ICOLMDZOR_v7/GENERAL/PARAM/sponge_dynamico.xml
===================================================================
--- CONFIG/UNIFORM/v7/ICOLMDZOR_v7/GENERAL/PARAM/sponge_dynamico.xml	(revision 6453)
+++ 	(revision )
@@ -1,111 +1,0 @@
-<!-- =========================================================================================================== -->
-<!-- nudging_dynamico.xml                                                                                           -->
-<!-- Definition of sponge layer zonal mean                                          -->
-<!-- =========================================================================================================== -->
-<context id="icosagcm" >
-
-
-   <axis_definition>
-     
-     <axis id="reduced_sponge" > <!-- n_glo is set from model -->
-       <reduce_domain  operation="average" direction="iDir"/>
-     </axis>
-
-     <axis id="lev_sponge" axis_type="Z" /> <!-- n_glo is set from model -->
-     
-    </axis_definition>
-    
-    <grid_definition>
-
-      <grid id="sponge_i">
-        <domain domain_ref="i" />
-        <axis axis_ref="lev_sponge"/>
-      </grid>
-   
-      <grid id="to_sponge">
-        <domain id="to_sponge" type="rectilinear" > <!-- ni_glo and nj_glo are set from model -->
-          <generate_rectilinear_domain />
-          <interpolate_domain order="1"/>
-        </domain> 
-        <axis axis_ref="lev_sponge"/>
-      </grid>
-         
-      <grid id="reduced_sponge">
-        <axis axis_ref="reduced_sponge"/>
-        <axis axis_ref="lev_sponge"/>
-      </grid>
-      
-      <grid id="from_sponge">
-        <domain domain_ref="i">
-          <interpolate_domain order="1"/>
-        </domain> 
-        <axis axis_ref="lev_sponge"/>
-      </grid>
-      
-    </grid_definition>
-    
-    <field_definition>
-      <field id="ulon_sponge"                                        grid_ref="sponge_i"/>
-      <field id="ulon_sponge_interp" field_ref="ulon_sponge"         grid_ref="to_sponge" />
-      <field id="ulon_sponge_reduced" field_ref="ulon_sponge_interp" grid_ref="reduced_sponge" read_access="false"/>
-      <field id="ulon_sponge_mean"                                   grid_ref="to_sponge" />
-      <field id="ulon_from_sponge" field_ref="ulon_sponge_mean"      grid_ref="from_sponge" read_access="false"/>
-
-      <field id="ulat_sponge"                                        grid_ref="sponge_i"/>
-      <field id="ulat_sponge_interp" field_ref="ulat_sponge"         grid_ref="to_sponge" />
-      <field id="ulat_sponge_reduced" field_ref="ulat_sponge_interp" grid_ref="reduced_sponge" read_access="false"/>
-      <field id="ulat_sponge_mean"                                   grid_ref="to_sponge" />
-      <field id="ulat_from_sponge" field_ref="ulat_sponge_mean"      grid_ref="from_sponge" read_access="false"/>
-
-      <field id="theta_sponge"                                        grid_ref="sponge_i"/>
-      <field id="theta_sponge_interp" field_ref="theta_sponge"         grid_ref="to_sponge" />
-      <field id="theta_sponge_reduced" field_ref="theta_sponge_interp" grid_ref="reduced_sponge" read_access="false"/>
-      <field id="theta_sponge_mean"                                   grid_ref="to_sponge" />
-      <field id="theta_from_sponge" field_ref="theta_sponge_mean"      grid_ref="from_sponge" read_access="false"/>
-
-      <field id="rhodz_sponge"                                        grid_ref="sponge_i"/>
-      <field id="rhodz_sponge_interp" field_ref="rhodz_sponge"         grid_ref="to_sponge" />
-      <field id="rhodz_sponge_reduced" field_ref="rhodz_sponge_interp" grid_ref="reduced_sponge" read_access="false"/>
-
-     <field id="dulon_sponge" domain_ref="i" axis_ref="lev" />
-     <field id="dulat_sponge" domain_ref="i" axis_ref="lev" />
-     <field id="dtheta_sponge" domain_ref="i" axis_ref="lev" />
- 
-
-    </field_definition>
-
-    <file_definition>
-      <file id="check_sponge" output_freq="1ts" type="one_file" sync_freq="1ts" enabled="false" >
-        <field_group  prec="8">
-          <field field_ref="ulon_sponge" operation="instant" enabled="true"/>
-          <field field_ref="ulon_sponge_interp" operation="instant" enabled="true"/>
-          <field field_ref="ulon_sponge_reduced" operation="instant" enabled="true"/>
-          <field field_ref="ulon_sponge_mean" operation="instant" enabled="true"/>
-          <field field_ref="ulon_from_sponge" operation="instant" enabled="true"/>
-
-          <field field_ref="ulat_sponge" operation="instant" enabled="true"/>
-          <field field_ref="ulat_sponge_interp" operation="instant" enabled="true"/>
-          <field field_ref="ulat_sponge_reduced" operation="instant" enabled="true"/>
-          <field field_ref="ulat_sponge_mean" operation="instant" enabled="true"/>
-          <field field_ref="ulat_from_sponge" operation="instant" enabled="true"/>
-
-          <field field_ref="theta_sponge" operation="instant" enabled="true"/>
-          <field field_ref="theta_sponge_interp" operation="instant" enabled="true"/>
-          <field field_ref="theta_sponge_reduced" operation="instant" enabled="true"/>
-          <field field_ref="theta_sponge_mean" operation="instant" enabled="true"/>
-          <field field_ref="theta_from_sponge" operation="instant" enabled="true"/>
-          
-          <field field_ref="rhodz_sponge" operation="instant" enabled="true"/>
-          <field field_ref="rhodz_sponge_interp" operation="instant" enabled="true"/>
-          <field field_ref="rhodz_sponge_reduced" operation="instant" enabled="true"/>
-
-         <field field_ref="dulon_sponge" operation="instant" enabled="true"/>
-         <field field_ref="dulat_sponge" operation="instant" enabled="true"/>
-         <field field_ref="dtheta_sponge" operation="instant" enabled="true"/>
-
-        </field_group>
-      </file>
-    </file_definition>
-    
-</context>
-
Index: CONFIG/UNIFORM/v7/IPSLCM7/GENERAL/PARAM/orchidee.def_v4
===================================================================
--- CONFIG/UNIFORM/v7/IPSLCM7/GENERAL/PARAM/orchidee.def_v4	(revision 6454)
+++ CONFIG/UNIFORM/v7/IPSLCM7/GENERAL/PARAM/orchidee.def_v4	(revision 6454)
@@ -0,0 +1,244 @@
+# $HeadURL: svn://forge.ipsl.jussieu.fr/orchidee/trunk/ORCHIDEE_OL/OOL_SEC_STO_FG2nd/PARAM/orchidee.def $
+# $Date: 2023-05-12 13:04:57 +0200 (ven. 12 mai 2023) $
+# $Revision: 8000 $
+
+#**************************************************************************
+#           Suggested parameter set up for ORCHIDEE trunk
+#
+# See all optional parameters in modipsl/modeles/ORCHIDEE/orchidee.default
+#
+# Note when running with libIGCM, variables set here to _AUTOBLOCKER_ can 
+# not be changed in run.def otherwise the simulation will stop. Variables 
+# set to _AUTO_ can be changed from the comp.card but they can also be 
+# changed directly in the run.def. A value set in run.def can never be
+# changed again by libIGCM. 
+#**************************************************************************
+
+# Parameters that should be removed once these issues are resolved
+#**************************************************************************
+
+# From a scientific point of view hydraulic architecture is much nicer
+# than a direct dependency on soil water. Julien is working on both
+# the nummerics and the science of the hydraulic architecture. To
+# avoid further delays with milestone 4.1 we decided to change the
+# settings.
+ENERGY_CONTROL=2
+
+# Prescribe forest management to facilitate the interpretation of the
+# results when comparing versions.
+OK_READ_FM_MAP=n
+
+# Hack to use a higher threshold for small lai in the calculation of kB_m1 in condveg 
+HACK_KB_M1 = y
+
+# Parameters related to the restart file and the start date
+#**************************************************************************
+# Name of restart file for sechiba part of the model
+# (default NONE)
+SECHIBA_restart_in = _AUTOBLOCKER_
+
+# Name of restart file for stomate part of the model
+# (default NONE)
+STOMATE_RESTART_FILEIN = _AUTOBLOCKER_
+
+
+# Parameters related to the diagnostic output files
+#**************************************************************************
+# Use XIOS for writing diagnostics file
+# (defualt y)
+XIOS_ORCHIDEE_OK = y
+
+# Parameters related to debugging and error checking
+#**************************************************************************
+# Mass balance and surface area checks
+# 1 - is recommended when running global long-term simulations.
+# Under this option, mass and area conservation are checked for all
+# biogeochemical processes but only at the highest level thus stomate.f90
+# and stomate_lpj.f90. Although these checks are not very expensive in terms
+# of computer time, skipping the numerous lower level checks is expected to
+# save some time. Under this option the mass balance error is only written
+# to the history file. No information is provided in which subroutine the
+# problem occurred.
+# 2 - is recommended when developing and testing the model. Now the mass
+# balance is explicitly checked in stomate.f90, stomate_lpj.f90 and all
+# its subroutines. Under this option the mass balance error is written to
+# the history file and if the mass balance is not closed, the warning
+# message will indicate in which subroutine the problem likely
+# originated.
+# 3 - is recommended when having a problem with mass balance closure. The
+# mass balance is explicitly checked in stomate.f90, stomate_lpj.f90 and all
+# its subroutines. If a mass balance occurs, the model is stopped.
+# (default)
+ERR_ACT = 3
+
+# If the model crashes and it is not clear in which subroutine the crash
+# occurs one could increase the print level for text output in out_orchidee_*
+# PRINTLEV = 1 : some output in initialization phase
+# PRINTLEV = 2 : more output in initialization phase and printing of new date
+# PRINTLEV = 3, 4,.. : more output also at each timestep
+# (default 2)
+PRINTLEV=1
+
+# If the model crashes on an ipslerr there is a fair change that the pixel and
+# PFT where the crash occur will be printed in the out_orchidee_* file. Try to
+# re-run the model for a single pixel or a small region (for example,
+# 3 by 3). LIMIT_EAST, LIMIT_NORTH, LIMIT_SOUTH and LIMIT_WEST should
+# be set in the run.def 
+
+# If it is known in which subroutine the model crashes, the local print level
+# of that subroutine could be increased. Additional write statements will then
+# be activated. These write statements print the values of specific variables.
+# (default 2)
+#PRINTLEV_sapiens_lcchange = 4
+
+# When a local print level is set, the grid and pft number for which the
+# values needs to written should be set. This setting reduces reduces
+# the size and enhances the readability of the out_orchidee_* files.  
+TEST_GRID = 1
+TEST_PFT = 2
+
+
+# Hydrology parameters
+#**************************************************************************
+# Activate river routing
+# default = y
+RIVER_ROUTING = _AUTO_
+
+# Choice of routing method: standard or simple
+ROUTING_METHOD = _AUTO_
+
+# Activate creation of river_desc.nc file
+# RIVER_DESC will be activated only the first execution in the simulation
+RIVER_DESC = _AUTO_
+
+# SOILTYPE_CLASSIF :  Type of classification used for the map of soil types
+# (default zobler)
+SOILTYPE_CLASSIF = zobler 
+
+
+# Parameters related to vegetation map
+#**************************************************************************
+# Update vegetation frequency
+# (default 0Y)
+VEGET_UPDATE = _AUTO_
+
+# Read lai map
+# (default n)
+LAI_MAP = n
+
+# Prescribed vegetation
+# (default n)
+IMPOSE_VEG = n
+
+
+# Parameters related to surface and thermal physical properties
+#************************************************************************
+# ROUGH_DYN : Account for a dynamic roughness height (activation of Su et
+# al. parametrization)
+# (default y)
+ROUGH_DYN = y
+
+# OK_FREEZE :  Activate the complet soil freezing scheme
+# (default y)
+OK_FREEZE = y
+
+# OK_EXPLICITSNOW :  Activate explict snow scheme
+# (default y)
+OK_EXPLICITSNOW = y
+
+# Controls several settings related to the energy budget and water stress.
+# 1 - DEFAULT uses the enerbil module in combination with the hydraulic
+# architecture (ok_hydrol_arch and ok_gs_feedback true, while 
+# ok_mleb and ok_impose_canopy_structure are set to false).
+# 2 - option to use enerbil module and original water stress
+# (not hydraulic architecture)
+# 3 - The energy budget is calculated using the multi-layer energy scheme
+# with a single layer: ok_hydrol_arch, ok_gs_feedback, ok_impose_canopy_structure
+# and and ok_mleb all TRUE, but the energy budget is calculated for a single
+# layer (jnlvls=1,jnlvls_under=0,jnlvls_canopy=1,jnlvls_over=0). No mleb output,
+# ok_mleb_history_file is set to  FALSE.
+# 4 - multi-layer energy budget: ok_hydrol_arch, ok_gs_feedback and ok_mleb all TRUE.
+# ok_impose_canopy_structure is False, and the energy budget is calculated for
+# multiple layers (jnlvls=29,jnlvls_under=10,jnlvls_canopy=10,jnlvls_over=9).    
+# No mleb output, ok_mleb_history_file is set to  FALSE.
+# 5 - user specific: user specific settings for these controls and layers will need
+# to be defined in the run.def by the user.
+#ENERGY_CONTROL=1
+
+
+# Carbon related parameters
+#**************************************************************************
+# Analytic spinup
+# (default n)
+SPINUP_ANALYTIC = n
+SPINUP_PERIOD = 10
+
+# Activate Stomate component
+# (default y)
+STOMATE_OK_STOMATE = _AUTOBLOCKER_ 
+
+# As an alternative to DO_WOOD_HARVEST forest management can be accounted
+# for. DO_WOOD_HARVEST is not yet available in ORCHIDEE v4.
+# OK_READ_FM_MAP=y
+
+# Parameters related to nitrogen cycle
+#**************************************************************************
+# Update nitrogen input maps
+# (default 0Y)
+NINPUT_UPDATE = _AUTO_
+
+# Impose the CN ratio of leaves
+STOMATE_IMPOSE_CN = _AUTO_
+
+# Set STOMATE_READ_CN=y to read cnleaf_map.nc file if STOMATE_IMPOSE_CN=y
+STOMATE_READ_CN = n
+CNLEAF_VAR = CN_LEAF
+
+
+# File and variable name for nitrogen input files
+#**************************************************************************
+Nammonium_FILE = ndep_nhx.nc
+Nammonium_VAR = nhx
+
+Nnitrate_FILE = ndep_noy.nc
+Nnitrate_VAR = noy
+
+Nfert_FILE = NONE
+Nfert_VAR = nfer
+
+Nmanure_FILE = NONE
+Nmanure_VAR = Nmanure
+
+Nfert_cropland_FILE = nfert_cropland.nc
+Nfert_cropland_VAR = nfer
+
+Nmanure_cropland_FILE = nmanure_cropland.nc
+Nmanure_cropland_VAR = Nmanure
+
+Nfert_pasture_FILE = nfert_pasture.nc
+Nfert_pasture_VAR = Nfer
+
+Nmanure_pasture_FILE = nmanure_pasture.nc
+Nmanure_pasture_VAR = Nmanure
+
+Nbnf_FILE= bnf.nc
+Nbnf_VAR= BNF_MGN_PERM2_PERYR
+
+
+# Parameters describing the canopy structure
+#**************************************************************************
+# Number of diameter classes - enables to create complex canopies
+# (default = 1)
+NCIRC = 3
+
+
+# Parameters related to chemistry bvoc 
+#************************************************************************
+# CHEMISTRY_OK_BVOC :  Activate chemistry
+CHEMISTRY_BVOC = _AUTO_: DEFAULT=n
+
+# CO2 FOR BVOC - WILKINSON :  CO2 inhibition effect for isoprene based on Wilkinson approach?
+CO2_FOR_BVOC_WILKINSON=n
+
+# CO2 FOR BVOC - POSSELL :  CO2 inhibition effect for isoprene based on Possell approach?
+CO2_FOR_BVOC_POSSELL=n
Index: CONFIG/UNIFORM/v7/IPSLCM7/GENERAL/PARAM/orchidee_pft.def_15pft.1ac_v4
===================================================================
--- CONFIG/UNIFORM/v7/IPSLCM7/GENERAL/PARAM/orchidee_pft.def_15pft.1ac_v4	(revision 6454)
+++ CONFIG/UNIFORM/v7/IPSLCM7/GENERAL/PARAM/orchidee_pft.def_15pft.1ac_v4	(revision 6454)
@@ -0,0 +1,173 @@
+# $HeadURL: svn://forge.ipsl.jussieu.fr/orchidee/trunk/ORCHIDEE_OL/OOL_SEC_STO_FG2nd/PARAM/orchidee_pft.def_15pft.1ac $
+# $Date: 2023-05-12 13:04:57 +0200 (ven. 12 mai 2023) $
+# $Revision: 8000 $
+#***************************************************************************
+#            Set-up age classes
+#***************************************************************************
+
+# number of PFTs required in the PFT map and number of PFTs in the run.def
+NAGEC=1
+NVMAP=15
+NVM = 15
+
+
+# Link PFTs to MTCs
+PFT_TO_MTC__01=1
+PFT_TO_MTC__02=2
+PFT_TO_MTC__03=3
+PFT_TO_MTC__04=4
+PFT_TO_MTC__05=5
+PFT_TO_MTC__06=6
+PFT_TO_MTC__07=7
+PFT_TO_MTC__08=8
+PFT_TO_MTC__09=9
+PFT_TO_MTC__10=10
+PFT_TO_MTC__11=11
+PFT_TO_MTC__12=12
+PFT_TO_MTC__13=13
+PFT_TO_MTC__14=10
+PFT_TO_MTC__15=10
+
+
+# Link PFT to an age class group
+AGEC_GROUP__01=1
+AGEC_GROUP__02=2
+AGEC_GROUP__03=3
+AGEC_GROUP__04=4
+AGEC_GROUP__05=5
+AGEC_GROUP__06=6
+AGEC_GROUP__07=7
+AGEC_GROUP__08=8
+AGEC_GROUP__09=9
+AGEC_GROUP__10=10
+AGEC_GROUP__11=11
+AGEC_GROUP__12=12
+AGEC_GROUP__13=13
+AGEC_GROUP__14=14
+AGEC_GROUP__15=15
+
+
+# Description of PFTs
+PFT_NAME__01=SoilBareGlobal
+PFT_NAME__02=BroadLeavedEvergreenTropical
+PFT_NAME__03=BroadLeavedRaingreenTropical
+PFT_NAME__04=NeedleleafEvergreenTemperate
+PFT_NAME__05=BroadLeavedEvergreenTemperate
+PFT_NAME__06=BroadLeavedSummergreenTemperate
+PFT_NAME__07=NeedleleafEvergreenBoreal
+PFT_NAME__08=BroadLeavedSummergreenBoreal
+PFT_NAME__09=LarixSpBoreal
+PFT_NAME__10=C3GrassTemperate
+PFT_NAME__11=C4GrassTemperate
+PFT_NAME__12=C3AgricultureTemperate
+PFT_NAME__13=C4AgricultureTemperate
+PFT_NAME__14=C3GrassTropical
+PFT_NAME__15=C3GrassBoreal
+
+
+# ALPHA_LL(mol e- (mol photon)-1)
+ALPHA_LL__14=0.3
+ALPHA_LL__15=0.43
+
+
+# COEFF_MAINT_INIT(gC.gN.day-1)
+COEFF_MAINT_INIT__14=0.07
+COEFF_MAINT_INIT__15=0.13
+
+
+# GDD_THRESHOLD(Celcius)
+GDD_THRESHOLD__14=5.0
+GDD_THRESHOLD__15=-5.0
+
+
+# HYDROL_HUMCSTE(unitless)
+HYDROL_HUMCSTE__14=4.0
+HYDROL_HUMCSTE__15=0.6
+
+
+# IS_BOREAL(y/n)
+IS_BOREAL__14=FALSE
+IS_BOREAL__15=TRUE
+
+
+# IS_TEMPERATE(y/n)
+IS_TEMPERATE__14=FALSE
+IS_TEMPERATE__15=FALSE
+
+
+# K_LATOSA_MAX(unitless)
+K_LATOSA_MAX__14=8500
+K_LATOSA_MAX__15=10000
+
+
+# K_LATOSA_MIN(unitless)
+K_LATOSA_MIN__14=8500
+K_LATOSA_MIN__15=10000
+
+
+# LONGEVITY_SAP(days)
+LONGEVITY_SAP__14=180
+LONGEVITY_SAP__15=240
+
+
+# MAINT_RESP_SLOPE_B(unitless)
+MAINT_RESP_SLOPE_B__14=-0.01
+MAINT_RESP_SLOPE_B__15=-0.02
+
+
+# MAINT_RESP_SLOPE_C(unitless)
+MAINT_RESP_SLOPE_C__14=0.55
+MAINT_RESP_SLOPE_C__15=0.75
+
+
+# PERCENT_THROUGHFALL_PFT(percent)
+PERCENT_THROUGHFALL_PFT__02=35
+PERCENT_THROUGHFALL_PFT__03=35
+
+
+# PHENO_GDD_CRIT_A(unitless)
+PHENO_GDD_CRIT_A__14=0.03125
+PHENO_GDD_CRIT_A__15=0.03125
+
+
+# PHENO_GDD_CRIT_B(unitless)
+PHENO_GDD_CRIT_B__14=6.25
+PHENO_GDD_CRIT_B__15=6.25
+
+
+# PHENO_GDD_CRIT_C(K)
+PHENO_GDD_CRIT_C__14=320
+PHENO_GDD_CRIT_C__15=320
+
+
+# PHENO_MODEL(unitless)
+PHENO_MODEL__14=moi
+PHENO_MODEL__15=moigdd
+
+
+
+#***************************************************************************
+#            PFT fractions
+#***************************************************************************
+
+# The fraction of vegetation is read from the restart file or a map
+# If it is not found in one of those sources we will use the values
+# provided here
+
+SECHIBA_VEGMAX__01=0.0666666666667
+SECHIBA_VEGMAX__02=0.0666666666667
+SECHIBA_VEGMAX__03=0.0666666666667
+SECHIBA_VEGMAX__04=0.0666666666667
+SECHIBA_VEGMAX__05=0.0666666666667
+SECHIBA_VEGMAX__06=0.0666666666667
+SECHIBA_VEGMAX__07=0.0666666666667
+SECHIBA_VEGMAX__08=0.0666666666667
+SECHIBA_VEGMAX__09=0.0666666666667
+SECHIBA_VEGMAX__10=0.0666666666667
+SECHIBA_VEGMAX__11=0.0666666666667
+SECHIBA_VEGMAX__12=0.0666666666667
+SECHIBA_VEGMAX__13=0.0666666666667
+SECHIBA_VEGMAX__14=0.0666666666667
+SECHIBA_VEGMAX__15=0.0666666666667
+
+