Index: CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/LMDZOR/amip/COMP/orchidee.card
===================================================================
--- CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/LMDZOR/amip/COMP/orchidee.card	(revision 6442)
+++ CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/LMDZOR/amip/COMP/orchidee.card	(revision 6462)
@@ -3,8 +3,4 @@
 
 [UserChoices]
-# The variable DefSuffix gives the suffix of the orchidee.def file to be used.
-# By default the file orchidee.def_CWRR will be selected.
-DefSuffix=CWRR
-
 # VEGET_UPDATE=0Y : default, do not update the vegetation and woodharvest file except if starting without restart file
 # VEGET_UPDATE=1Y : update the vegetation and woodharvest file 1st of January each year
@@ -49,9 +45,9 @@
 
 [ParametersFiles]
-List=	(${SUBMIT_DIR}/PARAM/orchidee.def_${DefSuffix}, orchidee.def)   ,\
+List=	(${SUBMIT_DIR}/PARAM/orchidee.def_v22, orchidee.def)   ,\
 	(${SUBMIT_DIR}/PARAM/file_def_orchidee.xml, .)  ,\
-	(${MODIPSL}/modeles/ORCHIDEE/src_xml/context_input_orchidee.xml, .) ,\
-	(${MODIPSL}/modeles/ORCHIDEE/src_xml/context_orchidee.xml, .)   ,\
-	(${MODIPSL}/modeles/ORCHIDEE/src_xml/field_def_orchidee.xml, .)
+	(${MODIPSL}/modeles/ORCHIDEE_2_2/src_xml/context_input_orchidee.xml, .) ,\
+	(${MODIPSL}/modeles/ORCHIDEE_2_2/src_xml/context_orchidee.xml, .)   ,\
+	(${MODIPSL}/modeles/ORCHIDEE_2_2/src_xml/field_def_orchidee.xml, .)
 
 [RestartFiles]
Index: CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/LMDZOR/amip/config.card
===================================================================
--- CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/LMDZOR/amip/config.card	(revision 6442)
+++ CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/LMDZOR/amip/config.card	(revision 6462)
@@ -57,5 +57,5 @@
 #D- Here is set 71MPI*8OMP which is suitable for resolution 144x142x79
 #D- Change to 31MPI*4OMP for resolution 96x95x39
-ATM= (gcm_${ResolAtm}_${OptMode}.e, lmdz.x, 71MPI, 8OMP)
+ATM= (gcm_${ResolAtm}_orch22_${OptMode}.e, lmdz.x, 71MPI, 8OMP)
 SRF= ("", "")
 SBG= ("", "")
Index: CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/LMDZOR/clim_pdControl/COMP/orchidee.card
===================================================================
--- CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/LMDZOR/clim_pdControl/COMP/orchidee.card	(revision 6442)
+++ CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/LMDZOR/clim_pdControl/COMP/orchidee.card	(revision 6462)
@@ -3,8 +3,4 @@
 
 [UserChoices]
-# The variable DefSuffix gives the suffix of the orchidee.def file to be used.
-# By default the file orchidee.def_CWRR will be selected.
-DefSuffix=CWRR
-
 # VEGET_UPDATE_at_start=y : orchidee.driver will set VEGET_UPDATE=1Y at the first cumul period when starting a new simulation. 
 #                           After the first period, VEGET_UPDATE will be set according to the choice done below.  
@@ -53,9 +49,9 @@
 
 [ParametersFiles]
-List=	(${SUBMIT_DIR}/PARAM/orchidee.def_${DefSuffix}, orchidee.def)   ,\
+List=	(${SUBMIT_DIR}/PARAM/orchidee.def_v22, orchidee.def)   ,\
 	(${SUBMIT_DIR}/PARAM/file_def_orchidee.xml, .)  ,\
-	(${MODIPSL}/modeles/ORCHIDEE/src_xml/context_input_orchidee.xml, .) ,\
-	(${MODIPSL}/modeles/ORCHIDEE/src_xml/context_orchidee.xml, .)   ,\
-	(${MODIPSL}/modeles/ORCHIDEE/src_xml/field_def_orchidee.xml, .)
+	(${MODIPSL}/modeles/ORCHIDEE_2_2/src_xml/context_input_orchidee.xml, .) ,\
+	(${MODIPSL}/modeles/ORCHIDEE_2_2/src_xml/context_orchidee.xml, .)   ,\
+	(${MODIPSL}/modeles/ORCHIDEE_2_2/src_xml/field_def_orchidee.xml, .)
 
 [RestartFiles]
Index: CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/LMDZOR/clim_pdControl/config.card
===================================================================
--- CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/LMDZOR/clim_pdControl/config.card	(revision 6442)
+++ CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/LMDZOR/clim_pdControl/config.card	(revision 6462)
@@ -57,5 +57,5 @@
 #D- Here is set 71MPI*8OMP which is suitable for resolution 144x142x79
 #D- Change to 31MPI*4OMP for resolution 96x95x39
-ATM= (gcm_${ResolAtm}_${OptMode}.e, lmdz.x, 71MPI, 8OMP)
+ATM= (gcm_${ResolAtm}_orch22_${OptMode}.e, lmdz.x, 71MPI, 8OMP)
 SRF= ("", "")
 SBG= ("", "")