Index: /CONFIG/UNIFORM/v6/IPSLCM5A2.1R8/AA_make
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM5A2.1R8/AA_make	(revision 6505)
+++ /CONFIG/UNIFORM/v6/IPSLCM5A2.1R8/AA_make	(revision 6506)
@@ -7,4 +7,7 @@
 
 MYSRC_DIR = $(shell /bin/pwd)
+
+arch_path=${MYSRC_DIR}/ARCH
+sources_RH8_path=${MYSRC_DIR}/SOURCES/REDHAT8
 
 all : 
@@ -28,11 +31,11 @@
 
 libioipsl : ../../modeles/IOIPSL/src
-	(cd ../../modeles/IOIPSL/src ; $(M_K) -f Makefile)
+	(ln -s ${arch_path}/arch-${FCM_ARCH}.env ${arch_path}/arch.env; . ${arch_path}/arch-${FCM_ARCH}.env; cd ../../modeles/IOIPSL/src ; $(M_K) -f Makefile)
 
 oasis3-mct:
-	(cd $(OASIS_DIR)/util/make_dir ; cp $(MYSRC_DIR)/SOURCES/OASIS3-MCT/make_${FCM_ARCH} make.inc ; make -f TopMakefileOasis3 ; )
+	(. ${arch_path}/arch-${FCM_ARCH}.env; cd $(OASIS_DIR)/util/make_dir ; cp $(MYSRC_DIR)/SOURCES/OASIS3-MCT/make_${FCM_ARCH} make.inc ; make -f TopMakefileOasis3 ; )
 
 liborchidee : ../../modeles/ORCHIDEE/
-	(cd ../../modeles/ORCHIDEE/ ; ./makeorchidee_fcm -parallel mpi_omp -arch $(FCM_ARCH) -j 8 -xios2)
+	(. ${arch_path}/arch-${FCM_ARCH}.env; cd ../../modeles/ORCHIDEE/ ; ./makeorchidee_fcm -parallel mpi_omp -arch $(FCM_ARCH) -j 8 -xios2)
 
 lmdz96x95x39:
@@ -43,12 +46,12 @@
 
 lmdz: ../../modeles/LMDZ
-#	(cd ../../modeles/LMDZ; ./makelmdz_fcm -d $(RESOL_LMDZ) -arch $(FCM_ARCH) -j 8 ce0l ; cp bin/ce0l_$(RESOL_LMDZ)_phylmd_seq.e ../../bin/create_etat0_limit.e ; )
-	(cd ../../modeles/LMDZ ; ./makelmdz_fcm -d $(RESOL_LMDZ) -mem -cosp false -v true -parallel mpi_omp -io xios -c OMCT -job 8 -arch $(FCM_ARCH) gcm  ; mv bin/gcm_$(RESOL_LMDZ)_phylmd_para_mem_orch_couple.e ../../bin/gcm.e ; )
+#	(. ${arch_path}/arch-${FCM_ARCH}.env; cd ../../modeles/LMDZ; cp ${sources_RH8_path}/LMDZ/arch-${FCM_ARCH}.fcm arch/. ; ./makelmdz_fcm -d $(RESOL_LMDZ) -arch $(FCM_ARCH) -j 8 ce0l ; cp bin/ce0l_$(RESOL_LMDZ)_phylmd_seq.e ../../bin/create_etat0_limit.e ; )
+	(. ${arch_path}/arch-${FCM_ARCH}.env; cd ../../modeles/LMDZ; cp ${sources_RH8_path}/LMDZ/arch-${FCM_ARCH}.fcm arch/. ; ./makelmdz_fcm -d $(RESOL_LMDZ) -mem -cosp false -v true -parallel mpi_omp -io xios -c OMCT -job 8 -arch $(FCM_ARCH) gcm  ; mv bin/gcm_$(RESOL_LMDZ)_phylmd_para_mem_orch_couple.e ../../bin/gcm.e ; )
 
 xios: ../../modeles/XIOS
-	(cd ../../modeles/XIOS; ./make_xios --arch $(FCM_ARCH) --prod --use_oasis oasis3_mct --job 8 ; cp bin/xios_server.exe ../../bin/. ; )
+	(cd ../../modeles/XIOS; cp ${sources_RH8_path}/XIOS/arch-${FCM_ARCH}.fcm arch/. ; ./make_xios --arch $(FCM_ARCH) --arch_path ${arch_path} --prod --use_oasis oasis3_mct --job 8 ; cp bin/xios_server.exe ../../bin/. ; )
 
 orca2lim2:  ../../modeles/NEMOGCM/CONFIG
-	(cd ../../modeles/NEMOGCM/CONFIG; cp ../../../config/IPSLCM5A2/SOURCES/NEMO/arch-${FCM_ARCH}.fcm ../ARCH/. ; cp ../../../config/IPSLCM5A2/SOURCES/NEMO/*.cfg ../TOOLS/COMPILE/. ; ./makenemo -m ${FCM_ARCH} -n ORCA2_LIM_PISCES -e "$(MYSRC_DIR)/SOURCES/NEMO" -j16 add_key "key_lim2_vp key_oasis3 key_diahth key_diaar5 key_xios2" del_key "key_nosignedzero " ; cp ORCA2_LIM_PISCES/BLD/bin/nemo.exe ../../../bin/opa ; )
+	(. ${arch_path}/arch-${FCM_ARCH}.env; cd ../../modeles/NEMOGCM/CONFIG; cp ../../../config/IPSLCM5A2/SOURCES/NEMO/arch-${FCM_ARCH}.fcm ../ARCH/. ; cp ../../../config/IPSLCM5A2/SOURCES/NEMO/*.cfg ../TOOLS/COMPILE/. ; ./makenemo -m ${FCM_ARCH} -n ORCA2_LIM_PISCES -e "$(MYSRC_DIR)/SOURCES/NEMO" -j16 add_key "key_lim2_vp key_oasis3 key_diahth key_diaar5 key_xios2" del_key "key_nosignedzero " ; cp ORCA2_LIM_PISCES/BLD/bin/nemo.exe ../../../bin/opa ; )
 
 verif: ../../bin
Index: /CONFIG/UNIFORM/v6/IPSLCM5A2.1R8/ARCH/arch-X64_IRENE-AMD.env
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM5A2.1R8/ARCH/arch-X64_IRENE-AMD.env	(revision 6506)
+++ /CONFIG/UNIFORM/v6/IPSLCM5A2.1R8/ARCH/arch-X64_IRENE-AMD.env	(revision 6506)
@@ -0,0 +1,14 @@
+# Compile and running environnemnet at Irene  
+
+set +e  
+module purge
+module load intel/20.0.0
+module load mpi/openmpi/4.1.4
+module load flavor/hdf5/parallel
+module load hdf5/1.12.0
+module load netcdf-fortran/4.5.3
+module load mkl/20.0.0
+module load feature/bridge/heterogenous_mpmd
+module load c++/gnu/8.3.0
+module load c/gnu/8.3.0
+
Index: /CONFIG/UNIFORM/v6/IPSLCM5A2.1R8/ARCH/arch-X64_IRENE.env
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM5A2.1R8/ARCH/arch-X64_IRENE.env	(revision 6506)
+++ /CONFIG/UNIFORM/v6/IPSLCM5A2.1R8/ARCH/arch-X64_IRENE.env	(revision 6506)
@@ -0,0 +1,14 @@
+# Compile and running environnemnet at Irene  
+
+set +e  
+module purge
+module load intel/20.0.0
+module load mpi/openmpi/4.1.4
+module load flavor/hdf5/parallel
+module load hdf5/1.12.0
+module load netcdf-fortran/4.5.3
+module load mkl/20.0.0
+module load feature/bridge/heterogenous_mpmd
+module load c++/gnu/8.3.0
+module load c/gnu/8.3.0
+
Index: /CONFIG/UNIFORM/v6/IPSLCM5A2.1R8/EXPERIMENTS/IPSLCM/pdControl/config.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM5A2.1R8/EXPERIMENTS/IPSLCM/pdControl/config.card	(revision 6505)
+++ /CONFIG/UNIFORM/v6/IPSLCM5A2.1R8/EXPERIMENTS/IPSLCM/pdControl/config.card	(revision 6506)
@@ -18,4 +18,7 @@
 #D- Choice of experiment in EXPERIMENTS directory
 ExpType=IPSLCM/pdControl
+#============================                                                   
+#-- Source following file with module settings, only if it exists
+EnvFile=${SUBMIT_DIR}/../ARCH/arch.env
 #============================
 #-- leap, noleap, 360d
Index: /CONFIG/UNIFORM/v6/IPSLCM5A2.1R8/EXPERIMENTS/IPSLCM/piControl/config.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM5A2.1R8/EXPERIMENTS/IPSLCM/piControl/config.card	(revision 6505)
+++ /CONFIG/UNIFORM/v6/IPSLCM5A2.1R8/EXPERIMENTS/IPSLCM/piControl/config.card	(revision 6506)
@@ -18,4 +18,6 @@
 #D- Choice of experiment in EXPERIMENTS directory
 ExpType=IPSLCM/piControl
+#============================                                                   #-- Source following file with module settings, only if it exists
+EnvFile=${SUBMIT_DIR}/../ARCH/arch.env
 #============================
 #-- leap, noleap, 360d
Index: /CONFIG/UNIFORM/v6/IPSLCM5A2.1R8/EXPERIMENTS/LMDZ/CREATE_amip/config.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM5A2.1R8/EXPERIMENTS/LMDZ/CREATE_amip/config.card	(revision 6505)
+++ /CONFIG/UNIFORM/v6/IPSLCM5A2.1R8/EXPERIMENTS/LMDZ/CREATE_amip/config.card	(revision 6506)
@@ -14,4 +14,6 @@
 #D- Choice of experiment in EXPERIEMENTS directory
 ExpType=LMDZ/CREATE_amip
+#============================                                                   #-- Source following file with module settings, only if it exists
+EnvFile=${SUBMIT_DIR}/../ARCH/arch.env
 #============================
 #D-- leap, noleap, 360d
Index: /CONFIG/UNIFORM/v6/IPSLCM5A2.1R8/EXPERIMENTS/LMDZ/CREATE_clim/config.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM5A2.1R8/EXPERIMENTS/LMDZ/CREATE_clim/config.card	(revision 6505)
+++ /CONFIG/UNIFORM/v6/IPSLCM5A2.1R8/EXPERIMENTS/LMDZ/CREATE_clim/config.card	(revision 6506)
@@ -14,4 +14,6 @@
 #D- Choice of experiment in EXPERIEMENTS directory
 ExpType=LMDZ/CREATE_clim
+#============================                                                   #-- Source following file with module settings, only if it exists
+EnvFile=${SUBMIT_DIR}/../ARCH/arch.env
 #============================
 #D-- leap, noleap, 360d
Index: /CONFIG/UNIFORM/v6/IPSLCM5A2.1R8/EXPERIMENTS/LMDZOR/clim_pdControl/config.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM5A2.1R8/EXPERIMENTS/LMDZOR/clim_pdControl/config.card	(revision 6505)
+++ /CONFIG/UNIFORM/v6/IPSLCM5A2.1R8/EXPERIMENTS/LMDZOR/clim_pdControl/config.card	(revision 6506)
@@ -16,4 +16,6 @@
 #D- Choice of experiment in EXPERIEMENTS directory
 ExpType=LMDZOR/clim_pdControl
+#============================                                                   #-- Source following file with module settings, only if it exists
+EnvFile=${SUBMIT_DIR}/../ARCH/arch.env
 #============================
 #-- leap, noleap, 360d
Index: /CONFIG/UNIFORM/v6/IPSLCM5A2.1R8/SOURCES/REDHAT8/LMDZ/arch-X64_IRENE.fcm
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM5A2.1R8/SOURCES/REDHAT8/LMDZ/arch-X64_IRENE.fcm	(revision 6506)
+++ /CONFIG/UNIFORM/v6/IPSLCM5A2.1R8/SOURCES/REDHAT8/LMDZ/arch-X64_IRENE.fcm	(revision 6506)
@@ -0,0 +1,15 @@
+%COMPILER            mpif90
+%LINK                mpif90
+%AR                  ar
+%MAKE                gmake
+%FPP_FLAGS           -P -traditional
+%FPP_DEF             NC_DOUBLE FFT_MKL
+%BASE_FFLAGS         -i4 -r8 -auto -align all -I$(MKL_INC_DIR) -I$(MKL_INC_DIR)/intel64/lp64 -fp-model strict
+%PROD_FFLAGS         -O2
+%DEV_FFLAGS          -p -g -O2 -traceback -fp-stack-check
+%DEBUG_FFLAGS        -p -g -traceback -fp-stack-check -ftrapuv
+%MPI_FFLAGS
+%OMP_FFLAGS          -qopenmp 
+%BASE_LD             -i4 -r8 -auto -L/ccc/products/mkl-20.0.0/system/default/20.0.0/mkl/lib/intel64 -lmkl_intel_lp64 -lmkl_core -lmkl_sequential -lpthread
+%MPI_LD
+%OMP_LD              -qopenmp
Index: /CONFIG/UNIFORM/v6/IPSLCM5A2.1R8/SOURCES/REDHAT8/ORCHIDEE/mod_orchidee_para.F90
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM5A2.1R8/SOURCES/REDHAT8/ORCHIDEE/mod_orchidee_para.F90	(revision 6506)
+++ /CONFIG/UNIFORM/v6/IPSLCM5A2.1R8/SOURCES/REDHAT8/ORCHIDEE/mod_orchidee_para.F90	(revision 6506)
@@ -0,0 +1,240 @@
+! Initialization of parallel for MPI and OpenMP.
+
+!-
+!- $Header: /home/ssipsl/CVSREP/ORCHIDEE/src_parallel/Attic/mod_orchidee_para.F90,v 1.1.2.4 2008/11/05 10:14:05 ssipsl Exp $
+!- 
+
+MODULE mod_orchidee_para
+
+  USE mod_orchidee_para_var
+  USE mod_orchidee_mpi_data
+  USE mod_orchidee_omp_data
+  USE mod_orchidee_transfert_para
+    
+CONTAINS
+    
+  SUBROUTINE Init_orchidee_para(communicator)
+    IMPLICIT NONE
+    INTEGER,OPTIONAL,INTENT(in) :: communicator	
+
+    CALL Init_orchidee_omp
+
+
+    IF ( PRESENT(communicator) ) THEN
+       CALL Init_orchidee_mpi(communicator)
+    ELSE
+       CALL Init_orchidee_mpi
+    ENDIF
+
+
+    IF (is_mpi_root .AND. is_omp_root) THEN
+       is_root_prc=.TRUE.
+    ELSE
+       is_root_prc=.FALSE.
+    ENDIF
+  END SUBROUTINE Init_orchidee_para
+    
+  
+  SUBROUTINE Init_orchidee_data_para_driver(nbp,kindex_glo)
+
+    IMPLICIT NONE
+    INTEGER,INTENT(IN) :: nbp
+    INTEGER,INTENT(IN) :: kindex_glo(nbp)
+      
+    INTEGER :: first_point
+    INTEGER :: last_point
+    INTEGER :: nbp_loc
+    INTEGER :: nbp_loc_para(0:mpi_size-1)
+    INTEGER,ALLOCATABLE :: kindex_loc(:)
+    INTEGER :: offset
+    INTEGER :: i
+    
+      
+    last_point=0
+    
+    CALL read_load_balance(nbp,nbp_loc_para)    
+    
+    DO i=0,mpi_rank
+       nbp_loc=nbp_loc_para(i)
+       First_point=last_point+1
+       Last_point=last_point+nbp_loc
+    ENDDO
+    
+    ALLOCATE(kindex_loc(nbp_loc))
+    DO i=1,nbp_loc
+       kindex_loc(i)=kindex_glo(i+First_Point-1)
+    ENDDO
+    
+    IF (mpi_rank==0) THEN
+       offset=0
+    ELSE
+       offset=kindex_glo(First_point-1)-MOD(kindex_glo(First_point-1),iim_g)
+    ENDIF
+
+    kindex_loc(:)=kindex_loc(:)-offset
+
+    CALL Init_orchidee_data_para(nbp_loc,kindex_loc,offset,omp_size,omp_rank,MPI_COMM_ORCH)
+    CALL Set_stdout_file('out_orchidee')
+    CALL ipslnlf(new_number=numout)
+    !    
+  END SUBROUTINE Init_orchidee_data_para_driver
+    
+  
+  SUBROUTINE Init_orchidee_data_para(nbp,kindex,arg_offset,arg_omp_size,arg_omp_rank,COMM)
+
+    IMPLICIT NONE
+    INTEGER,INTENT(IN)     :: nbp
+    INTEGER,INTENT(IN)     :: kindex(nbp)
+    INTEGER,INTENT(IN)     :: arg_offset
+    INTEGER,INTENT(IN)     :: arg_omp_size
+    INTEGER,INTENT(IN)     :: arg_omp_rank
+    INTEGER,INTENT(IN)     :: COMM
+    
+    INTEGER,SAVE              :: arg_nbp_mpi
+    INTEGER,ALLOCATABLE,SAVE  :: kindex_mpi(:)
+    
+    offset=arg_offset 
+    CALL init_orchidee_omp_data(arg_omp_size,arg_omp_rank,nbp,offset)
+    
+    IF (is_omp_root) THEN
+       arg_nbp_mpi=SUM(nbp_omp_para_nb(:))
+       ALLOCATE(kindex_mpi(arg_nbp_mpi))
+    ENDIF
+
+    CALL barrier2_omp()
+    kindex_mpi(nbp_omp_begin:nbp_omp_end)=kindex(:)+offset
+    CALL barrier2_omp()
+      
+    IF (is_omp_root) THEN      
+       kindex_mpi(:)=kindex_mpi(:)-offset
+       CALL init_orchidee_mpi_data(arg_nbp_mpi,kindex_mpi,offset,COMM)
+       nbp_glo=SUM(nbp_mpi_para(:))
+    ENDIF
+    CALL barrier2_omp()
+
+    nbp_loc=nbp
+    
+    IF (is_mpi_root .AND. is_omp_root) THEN
+       is_root_prc=.TRUE.
+    ELSE
+       is_root_prc=.FALSE.
+    ENDIF
+    
+    CALL Test_orchidee_para
+
+  END SUBROUTINE Init_orchidee_data_para
+    
+  SUBROUTINE Set_stdout_file(filename)
+
+    IMPLICIT NONE
+
+    CHARACTER(len=*), INTENT(IN) :: filename
+    CHARACTER(len=255) :: fileout
+    CHARACTER(len=4)  :: num_mpi
+    CHARACTER(len=4)  :: num_omp
+    INTEGER,PARAMETER :: base_numout=100
+    INTEGER           :: ierr
+
+    IF (is_ok_mpi) THEN
+       WRITE(num_mpi,'(I4.4)') mpi_rank
+    ENDIF
+    
+    IF (is_ok_omp) THEN
+       WRITE(num_omp,'(I4.4)') omp_rank
+    ENDIF
+    
+     
+    IF (is_ok_mpi .AND. is_ok_omp) THEN
+       fileout=TRIM(filename)//'_'//num_mpi//'.'//num_omp
+       numout=base_numout+omp_rank
+    ELSE IF (is_ok_mpi .AND. (.NOT. is_ok_omp)) THEN
+       fileout=TRIM(filename)//'_'//num_mpi
+       numout=base_numout
+    ELSE IF ((.NOT. is_ok_mpi) .AND. is_ok_omp) THEN
+       fileout=TRIM(filename)//'_'//num_omp
+       numout=base_numout+omp_rank
+    ELSE
+       fileout=TRIM(filename)
+       numout=base_numout
+    ENDIF
+!$OMP CRITICAL  
+    WRITE(*,*) "Set_stdout_file (rank ",mpi_rank,omp_rank,"), id output :",numout
+!$OMP END CRITICAL
+    
+!    OPEN(UNIT=numout,FILE=TRIM(fileout),ACTION='write',STATUS='unknown',FORM='formatted',IOSTAT=ierr) 
+!    IF (ierr /= 0) THEN
+!#ifdef CPP_PARA
+!       CALL MPI_FINALIZE(ierr)
+!#endif
+!       WRITE(*,*) "In Set_stdout_file : Erreur can't open file ", filename
+!       STOP 1
+!    ENDIF
+
+    numout=6
+    
+!$OMP CRITICAL  
+    WRITE(numout,*) "Set_stdout_file (rank ",mpi_rank,omp_rank,"), id output :",numout
+!$OMP END CRITICAL
+
+    CALL Init_numout_omp(numout)
+
+  END SUBROUTINE Set_stdout_file
+      
+      
+  SUBROUTINE Test_orchidee_para
+
+    IMPLICIT NONE
+
+    INTEGER,PARAMETER :: dimsize=3
+    REAL :: Array(nbp_loc,dimsize)
+    REAL :: Array_glo(nbp_glo,dimsize)
+    REAL :: Array_glo_tmp(nbp_glo,dimsize)
+    REAL :: Array2D_loc(iim_g,jj_nb)
+    REAL :: Array2D_glo(iim_g,jjm_g)
+    REAL :: sum1,sum2,sum3
+    
+    INTEGER :: i,j
+    
+    DO j=1,dimsize
+       DO i=1,nbp_loc
+          Array(i,j)=10*j+omp_rank+i*1000
+       ENDDO
+    ENDDO
+      
+    CALL gather(Array,Array_glo)
+    CALL bcast(Array_glo)
+    CALL scatter(Array_glo,array)
+    CALL gather(array,array_glo_tmp)
+    CALL bcast(array_glo_tmp)    
+    WRITE(*,*) "1) Test parallelism (rank ",mpi_rank,omp_rank,"), Sould be 0 :",SUM(array_glo-array_glo_tmp)
+
+    sum1=SUM(array)
+    CALL reduce_sum(sum1,sum2)
+    CALL bcast(sum2)
+    sum3=SUM(array_glo)
+    WRITE(*,*) "2) Test parallelism (rank ",mpi_rank,omp_rank,"), Sould be 0 :",sum3-sum2
+    
+    IF (is_omp_root) THEN
+       DO j=1,jjm_g
+          DO i=1,iim_g
+             Array2D_glo(i,j)=(j-1)*iim_g+i
+          ENDDO
+       ENDDO
+        
+       array2D_loc(:,:)=0
+       CALL scatter2D_mpi(array2D_glo,array2D_loc)
+       array2D_glo(:,:)=0
+       CALL gather2D_mpi(array2D_loc,array2D_glo)
+       CALL bcast_mpi(array2D_glo)
+       sum1=SUM(array2D_glo)
+       sum2=SUM(array2D_loc)
+       CALL reduce_sum_mpi(sum2,sum3)
+       CALL bcast_mpi(sum3)
+       
+       WRITE(*,*) "3) Test parallelism (rank ",mpi_rank,omp_rank,"), Sould be 0 :",sum3-sum1
+    ENDIF
+    CALL barrier2_omp()
+
+  END SUBROUTINE  Test_orchidee_para
+  
+END MODULE mod_orchidee_para
Index: /CONFIG/UNIFORM/v6/IPSLCM5A2.1R8/SOURCES/REDHAT8/XIOS/arch-X64_IRENE.fcm
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM5A2.1R8/SOURCES/REDHAT8/XIOS/arch-X64_IRENE.fcm	(revision 6506)
+++ /CONFIG/UNIFORM/v6/IPSLCM5A2.1R8/SOURCES/REDHAT8/XIOS/arch-X64_IRENE.fcm	(revision 6506)
@@ -0,0 +1,26 @@
+################################################################################
+###################                Projet XIOS               ###################
+################################################################################
+
+%CCOMPILER      mpicc
+%FCOMPILER      mpif90
+%LINKER         mpif90  -nofor-main
+
+%BASE_CFLAGS    -std=gnu++98 -diag-disable 1125 -diag-disable 279 -D__XIOS_EXCEPTION
+%PROD_CFLAGS    -O3 -D BOOST_DISABLE_ASSERTS
+#%DEV_CFLAGS     -g -traceback
+%DEV_CFLAGS     -g 
+%DEBUG_CFLAGS   -DBZ_DEBUG -g -traceback -fno-inline
+
+%BASE_FFLAGS    -D__NONE__ 
+%PROD_FFLAGS    -O3
+#%DEV_FFLAGS     -g -traceback
+%DEV_FFLAGS     -g 
+%DEBUG_FFLAGS   -g -traceback
+
+%BASE_INC       -D__NONE__
+%BASE_LD        -lstdc++
+
+%CPP            mpicc -EP
+%FPP            cpp -P
+%MAKE           gmake