Index: CONFIG/UNIFORM/v6/LMDZOR_v6/AA_make
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6/AA_make	(revision 6333)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6/AA_make	(revision 6515)
@@ -6,4 +6,7 @@
 #- For example : 
 #-    gmake LMD9695-L39
+
+submitdir=$(shell pwd)
+arch_path=${submitdir}/ARCH
 
 all : 
@@ -56,5 +59,5 @@
 
 xios :
-	(cd  ../../modeles/XIOS ; ./make_xios  \
+	(. ${arch_path}/arch-${FCM_ARCH}.env; cd  ../../modeles/XIOS ; ./make_xios  \
 #-Q- ifort_CICLAD --netcdf_lib netcdf4_seq \
 #-Q- gfortran_CICLAD --netcdf_lib netcdf4_seq \
@@ -63,9 +66,9 @@
 
 libioipsl : ../../modeles/IOIPSL/src
-	(cd ../../modeles/IOIPSL/src ; $(M_K) -f Makefile)
+	(ln -sf ${arch_path}/arch-${FCM_ARCH}.env ${arch_path}/arch.env; . ${arch_path}/arch-${FCM_ARCH}.env; cd ../../modeles/IOIPSL/src ; $(M_K) -f Makefile)
 
 
 liborchidee : ../../modeles/ORCHIDEE/
-	(cd ../../modeles/ORCHIDEE/ ; ./makeorchidee_fcm -prod -parallel mpi_omp -arch $(FCM_ARCH) -j 8 -xios2 -driver)
+	(. ${arch_path}/arch-${FCM_ARCH}.env; cd ../../modeles/ORCHIDEE/ ; ./makeorchidee_fcm -parallel mpi_omp -arch $(FCM_ARCH) -j 8 -xios2)
 
 
@@ -104,6 +107,6 @@
 
 lmdz: ../../modeles/LMDZ
-	(cd ../../modeles/LMDZ; ./makelmdz_fcm -d $(RESOL_LMDZ) -prod -arch $(FCM_ARCH) -j 8 ce0l ; mv bin/ce0l_$(RESOL_LMDZ)_phylmd_seq.e ../../bin/create_etat0_limit.e ; )
-	(cd ../../modeles/LMDZ; ./makelmdz_fcm -d $(RESOL_LMDZ) -prod -mem -cosp true -v true -parallel mpi_omp -arch $(FCM_ARCH) -j 8 -io xios -rrtm true gcm ; mv bin/gcm_$(RESOL_LMDZ)_phylmd_para_mem_orch.e ../../bin/gcm.e ; )
+	(. ${arch_path}/arch-${FCM_ARCH}.env; cd ../../modeles/LMDZ; ./makelmdz_fcm -d $(RESOL_LMDZ) -prod -arch $(FCM_ARCH) -j 8 ce0l ; mv bin/ce0l_$(RESOL_LMDZ)_phylmd_seq.e ../../bin/create_etat0_limit.e ; )
+	(. ${arch_path}/arch-${FCM_ARCH}.env; cd ../../modeles/LMDZ; ./makelmdz_fcm -d $(RESOL_LMDZ) -prod -mem -cosp true -v true -parallel mpi_omp -arch $(FCM_ARCH) -j 8 -io xios -rrtm true gcm ; mv bin/gcm_$(RESOL_LMDZ)_phylmd_para_mem_orch.e ../../bin/gcm.e ; )
 
 
Index: CONFIG/UNIFORM/v6/LMDZOR_v6/ARCH/arch-X64_IRENE-AMD.env
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6/ARCH/arch-X64_IRENE-AMD.env	(revision 6515)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6/ARCH/arch-X64_IRENE-AMD.env	(revision 6515)
@@ -0,0 +1,12 @@
+# Compile and running environnemnet at Irene Amd / TGCC on redhat8
+set +e 
+module purge
+module load intel/20.0.0
+module load mpi/openmpi/4.1.4
+module load flavor/hdf5/parallel
+module load hdf5/1.12.2
+module load netcdf-fortran/4.5.3
+module load mkl/20.0.0
+module load feature/bridge/heterogenous_mpmd
+module load c++/gnu/8.3.0
+module load c/gnu/8.3.0
Index: CONFIG/UNIFORM/v6/LMDZOR_v6/ARCH/arch-X64_IRENE.env
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6/ARCH/arch-X64_IRENE.env	(revision 6515)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6/ARCH/arch-X64_IRENE.env	(revision 6515)
@@ -0,0 +1,12 @@
+# Compile and running environnemnet at Irene SKL / TGCC on redhat8
+set +e 
+module purge
+module load intel/20.0.0
+module load mpi/openmpi/4.1.4
+module load flavor/hdf5/parallel
+module load hdf5/1.12.2
+module load netcdf-fortran/4.5.3
+module load mkl/20.0.0
+module load feature/bridge/heterogenous_mpmd
+module load c++/gnu/8.3.0
+module load c/gnu/8.3.0
Index: CONFIG/UNIFORM/v6/LMDZOR_v6/ARCH/arch-X64_JEANZAY.env
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6/ARCH/arch-X64_JEANZAY.env	(revision 6515)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6/ARCH/arch-X64_JEANZAY.env	(revision 6515)
@@ -0,0 +1,10 @@
+# Compile and running environnemnet at Jean-Zay 
+module purge
+module load gcc/6.5.0
+module load intel-all/19.0.4 
+module load hdf5/1.10.5-mpi
+module load netcdf/4.7.2-mpi
+module load netcdf-fortran/4.5.2-mpi
+
+# Load svn needed for the compilation script
+module load subversion
Index: CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZ/CREATE_amip/config.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZ/CREATE_amip/config.card	(revision 6333)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZ/CREATE_amip/config.card	(revision 6515)
@@ -28,4 +28,7 @@
 CompressionLevel=2
 #============================
+#-- Source following file with module settings, only if it exists
+EnvFile=${SUBMIT_DIR}/../ARCH/arch.env
+
 PeriodNb=50
 
Index: CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZ/CREATE_clim_360d/config.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZ/CREATE_clim_360d/config.card	(revision 6333)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZ/CREATE_clim_360d/config.card	(revision 6515)
@@ -29,4 +29,7 @@
 #-- Compression level for netcdf output files
 CompressionLevel=2
+#-- Source following file with module settings, only if it exists
+EnvFile=${SUBMIT_DIR}/../ARCH/arch.env
+
 #========================================================================
 #D-- ListOfComponents -
Index: CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZ/clim_360d/config.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZ/clim_360d/config.card	(revision 6333)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZ/clim_360d/config.card	(revision 6515)
@@ -29,4 +29,7 @@
 #-- Compression level for netcdf output files
 CompressionLevel=2
+#-- Source following file with module settings, only if it exists 
+EnvFile=${SUBMIT_DIR}/../ARCH/arch.env 
+
 #========================================================================
 #D-- ListOfComponents -
Index: CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/amip/config.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/amip/config.card	(revision 6333)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/amip/config.card	(revision 6515)
@@ -29,4 +29,7 @@
 #-- Compression level for netcdf output files
 CompressionLevel=2
+#-- Source following file with module settings, only if it exists
+EnvFile=${SUBMIT_DIR}/../ARCH/arch.env
+
 #========================================================================
 #D-- ListOfComponents -
Index: CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/amip_CMIP6/config.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/amip_CMIP6/config.card	(revision 6333)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/amip_CMIP6/config.card	(revision 6515)
@@ -32,4 +32,7 @@
 #-- Compression level for netcdf output files
 CompressionLevel=2
+#-- Source following file with module settings, only if it exists
+EnvFile=${SUBMIT_DIR}/../ARCH/arch.env
+
 #========================================================================
 #D-- ListOfComponents -
Index: CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/amip_nudge/config.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/amip_nudge/config.card	(revision 6333)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/amip_nudge/config.card	(revision 6515)
@@ -29,4 +29,7 @@
 #-- Compression level for netcdf output files
 CompressionLevel=2
+#-- Source following file with module settings, only if it exists
+EnvFile=${SUBMIT_DIR}/../ARCH/arch.env
+
 #========================================================================
 #D-- ListOfComponents -
Index: CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/clim_360d/config.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/clim_360d/config.card	(revision 6333)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/clim_360d/config.card	(revision 6515)
@@ -29,4 +29,7 @@
 #-- Compression level for netcdf output files
 CompressionLevel=2
+#-- Source following file with module settings, only if it exists
+EnvFile=${SUBMIT_DIR}/../ARCH/arch.env
+
 
 #========================================================================
Index: CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/clim_pdControl/config.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/clim_pdControl/config.card	(revision 6333)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/clim_pdControl/config.card	(revision 6515)
@@ -29,5 +29,6 @@
 #-- Compression level for netcdf output files
 CompressionLevel=2
-
+#-- Source following file with module settings, only if it exists
+EnvFile=${SUBMIT_DIR}/../ARCH/arch.env
 
 #========================================================================
Index: CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/clim_pdControl_VLR/config.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/clim_pdControl_VLR/config.card	(revision 6333)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/clim_pdControl_VLR/config.card	(revision 6515)
@@ -28,4 +28,7 @@
 #============================
 ORCA_version=ORCA2.3
+#-- Source following file with module settings, only if it exists
+EnvFile=${SUBMIT_DIR}/../ARCH/arch.env
+
 
 #========================================================================
Index: CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/highresmip_CMIP6/config.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/highresmip_CMIP6/config.card	(revision 6333)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/highresmip_CMIP6/config.card	(revision 6515)
@@ -39,4 +39,7 @@
 #-- Compression level for netcdf output files
 CompressionLevel=2
+#-- Source following file with module settings, only if it exists
+EnvFile=${SUBMIT_DIR}/../ARCH/arch.env
+
 
 #========================================================================
Index: CONFIG/UNIFORM/v6/LMDZOR_v6/GENERAL/PARAM/orchidee.def_CWRR
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6/GENERAL/PARAM/orchidee.def_CWRR	(revision 6333)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6/GENERAL/PARAM/orchidee.def_CWRR	(revision 6515)
@@ -32,4 +32,6 @@
 # PRINTLEV = 3, 4,.. : more output also at each timestep
 PRINTLEV=1
+# PRINTSTANDOUT ([FLAG]) :  Print to standard output    {} 
+PRINTSTANDOUT=y 
 
 # Hydrology parameters
Index: CONFIG/UNIFORM/v6/LMDZOR_v6/GENERAL/PARAM/orchidee.def_Choi
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6/GENERAL/PARAM/orchidee.def_Choi	(revision 6333)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6/GENERAL/PARAM/orchidee.def_Choi	(revision 6515)
@@ -25,4 +25,7 @@
 # default = 86400.0
 WRITE_STEP = 0
+
+# PRINTSTANDOUT ([FLAG]) :  Print to standard output    {} 
+PRINTSTANDOUT=y 
 
 # Hydrology parameters