Index: TOOLS/WATER_BUDGET/OCE_waterbudget.py
===================================================================
--- TOOLS/WATER_BUDGET/OCE_waterbudget.py	(revision 6518)
+++ TOOLS/WATER_BUDGET/OCE_waterbudget.py	(revision 6519)
@@ -12,10 +12,11 @@
 ##
 ##
-## SVN information
-#  $Author$
-#  $Date$
-#  $Revision$
-#  $Id$
-#  $HeadURL$
+SVN = {
+    'Author'  : "$Author$",
+    'Date'    :   "$Date$",
+    'Revision': "$Revision$",
+    'Id'      : "$Id: ATM_waterbudget.py 6508 2023-06-13 10:58:38Z omamce $",
+    'HeadURL' : "$HeadUrl: svn+ssh://omamce@forge.ipsl.jussieu.fr/ipsl/forge/projets/igcmg/svn/TOOLS/WATER_BUDGET/ATM_waterbudget.py $"
+    }
 
 ###
@@ -39,13 +40,11 @@
 
 ## Read experiment parameters
-ATM=None ; ORCA=None ; NEMO=None ; OCE_relax=False ; OCE_icb=False ; Coupled=False ; Routing=None ;  TarRestartPeriod_beg=None ; TarRestartPeriod_end=None ; Comment=None ; Period=None ; Title=None
-
+ATM=None ; ATM_HIS='latlon' ; SRF_HIS='latlon' ; RUN_HIS='latlon' ; ORCA=None ; NEMO=None ; OCE_relax=False ; OCE_icb=False ; Coupled=False ; Routing=None ; TarRestartPeriod_beg=None ; TarRestartPeriod_end=None ; Comment=None ; Period=None ; Title=None
 ##
-ARCHIVE=None ; STORAGE = None ; SCRATCHDIR=None ; R_IN=None ; rebuild='rebuild_nemo'
+ARCHIVE=None ; STORAGE=None ; SCRATCHDIR=None ; R_IN=None ; rebuild=None
 TmpDir=None ; RunDir=None ; FileOut=None ; dir_ATM_his=None ; dir_SRF_his=None ; dir_OCE_his=None ; dir_ICE_his=None ; FileCommon=None
-file_ATM_his=None ; file_SRF_his=None ; file_RUN_his=None ; file_OCE_his=None ;  file_ICE_his=None ; file_OCE_sca=None 
+file_ATM_his=None ; file_SRF_his=None ; file_RUN_his=None ; file_OCE_his=None ;  file_ICE_his=None ; file_OCE_sca=None
 tar_restart_beg=None ; tar_restart_end=None ; file_ATM_beg=None ; file_ATM_end=None ; file_DYN_beg=None ; file_DYN_end=None ; file_SRF_beg=None ; file_SRF_end=None
-file_RUN_beg=None ; file_RUN_end=None ; file_OCE_beg=None ; file_ICE_beg=None ; file_OCE_end=None ; file_ICE_end=None
-ContinueOnError=False ; ErrorCount=0
+file_RUN_beg=None ; file_RUN_end=None ; file_RUN_end=None ; file_OCE_beg=None ; file_ICE_beg=None ; file_OCE_beg=None ; file_OCE_end=None ; file_ICE_beg=None ; file_OCE_end=None ; file_ICE_end=None ; ContinueOnError=False ; ErrorCount=0
 tar_restart_beg_ATM=None ; tar_restart_beg_DYN=None ; tar_restart_beg_SRF=None ; tar_restart_beg_RUN=None ; tar_restart_beg_OCE=None ; tar_restart_beg_ICE=None
 tar_restart_end_ATM=None ; tar_restart_end_DYN=None ; tar_restart_end_SRF=None ; tar_restart_end_RUN=None ; tar_restart_end_OCE=None ; tar_restart_end_ICE=None
@@ -55,9 +54,10 @@
 IniFile = sys.argv[1]
 # Text existence of IniFile
-print ("Input file : ", IniFile )
+if not os.path.exists (IniFile ) :
+    raise FileExistsError ( f"File not found : {IniFile = }" )
 
 if 'full' in IniFile : FullIniFile = IniFile
 else                 : FullIniFile = 'full_' + IniFile
-
+    
 print ("Input file : ", IniFile )
 config.read (IniFile)
@@ -74,7 +74,9 @@
             exec ( f'{VarName} = wu.setNone ({VarName})' )
             exec ( f'wu.{VarName} = {VarName}' )
-            print ( '{:25} set to : {:}'.format (VarName, locals()[VarName]) )
+            print ( f'{VarName:25} set to : {locals()[VarName])}' )
             #exec ( f'del {VarName}' )
 
+print ( f'\nConfig file readed : {IniFile} ' )
+            
 #-- Some physical constants
 if wu.unDefined ( 'Ra' )           : Ra          = 6366197.7236758135 #-- Earth Radius (m)
@@ -93,5 +95,7 @@
     
 config['Physics'] = { 'Ra':Ra, 'Grav':Grav, 'ICE_rho_ice':ICE_rho_ice, 'ICE_rho_sno':ICE_rho_sno, 'OCE_rho_liq':OCE_rho_liq, 'ATM_rho':ATM_rho, 'SRF_rho':SRF_rho, 'RUN_rho':RUN_rho}
-        
+
+config['Config'] = { 'ContinueOnError':ContinueOnError, 'SortIco':SortIco}
+
 with open ('SetLibIGCM.py') as f: exec ( f.read() )
 config['Files']['TmpDir'] = TmpDir
@@ -202,5 +206,4 @@
     Title = f'{JobName} : {Freq} : {YearBegin}-01-01 - {YearEnd}-12-31'
     config['Files']['Title'] = Title
-        
         
 echo ('\nOpen history files' )
Index: TOOLS/WATER_BUDGET/SetLibIGCM.py
===================================================================
--- TOOLS/WATER_BUDGET/SetLibIGCM.py	(revision 6518)
+++ TOOLS/WATER_BUDGET/SetLibIGCM.py	(revision 6519)
@@ -1,2 +1,22 @@
+#!/usr/bin/env python3
+###
+### Script to check water conservation in the IPSL coupled model
+###
+##  Warning, to install, configure, run, use any of included software or
+##  to read the associated documentation you'll need at least one (1)
+##  brain in a reasonably working order. Lack of this implement will
+##  void any warranties (either express or implied).  Authors assumes
+##  no responsability for errors, omissions, data loss, or any other
+##  consequences caused directly or indirectly by the usage of his
+##  software by incorrectly or partially configured personal
+##
+##
+## SVN information
+#  $Author$
+#  $Date$
+#  $Revision$
+#  $Id:  $
+#  $HeadURL$
+
 # Where do we run ?
 import pathlib, os
Index: TOOLS/WATER_BUDGET/lmdz.py
===================================================================
--- TOOLS/WATER_BUDGET/lmdz.py	(revision 6518)
+++ TOOLS/WATER_BUDGET/lmdz.py	(revision 6519)
@@ -28,5 +28,5 @@
 __Date__     = "$Date$"
 __Revision__ = "$Revision$"
-__Id__       = "$Id$"
+__Id__       = "$Id: lmdz.py 6508 2023-06-13 10:58:38Z omamce $"
 __HeadURL    = "$HeadURL$"
 
Index: TOOLS/WATER_BUDGET/nemo.py
===================================================================
--- TOOLS/WATER_BUDGET/nemo.py	(revision 6518)
+++ TOOLS/WATER_BUDGET/nemo.py	(revision 6519)
@@ -29,5 +29,5 @@
 __Date__     = "$Date$"
 __Revision__ = "$Revision$"
-__Id__       = "$Id$"
+__Id__       = "$Id: nemo.py 6265 2022-11-02 12:45:56Z omamce $"
 __HeadURL    = "$HeadURL$"
 