Index: CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/ICOLMDZOR/clim_pdControl/COMP/orchidee.card
===================================================================
--- CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/ICOLMDZOR/clim_pdControl/COMP/orchidee.card	(revision 6486)
+++ CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/ICOLMDZOR/clim_pdControl/COMP/orchidee.card	(revision 6520)
@@ -34,5 +34,6 @@
 
 [InitialStateFiles]
-List=	(${R_IN}/SRF/SOIL/soils_param4.nc, soils_param.nc ), \
+List=	(${R_IN}/SRF/SOIL/soils_param_zobler_coord.nc, soils_param.nc ), \
+        (${R_IN}/SRF/SOIL/soils_param_zobler_coord.nc, soilcolor.nc ), \
 	(${R_IN}/SRF/reftemp4.nc, reftemp.nc ), \
         (${R_IN}/SRF/albedo/alb_bg_modisopt_2D_ESA_v3.nc, alb_bg.nc ), \
Index: CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/ICOLMDZOR/clim_pdControl_ORCHv4/COMP/orchidee.card
===================================================================
--- CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/ICOLMDZOR/clim_pdControl_ORCHv4/COMP/orchidee.card	(revision 6486)
+++ CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/ICOLMDZOR/clim_pdControl_ORCHv4/COMP/orchidee.card	(revision 6520)
@@ -39,5 +39,6 @@
 
 [InitialStateFiles]
-List=	(${R_IN}/SRF/SOIL/soils_param4.nc, soils_param.nc ), \
+List=	(${R_IN}/SRF/SOIL/soils_param_zobler_coord.nc, soils_param.nc ), \
+        (${R_IN}/SRF/SOIL/soils_param_zobler_coord.nc, soilcolor.nc ), \
 	(${R_IN}/SRF/SOIL/soil_bulk_and_ph.nc, .), \
 	(${R_IN}/SRF/reftemp4.nc, reftemp.nc ), \
Index: CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/ICOLMDZOR/highresmip/COMP/orchidee.card
===================================================================
--- CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/ICOLMDZOR/highresmip/COMP/orchidee.card	(revision 6486)
+++ CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/ICOLMDZOR/highresmip/COMP/orchidee.card	(revision 6520)
@@ -31,5 +31,6 @@
 
 [InitialStateFiles]
-List=   (${R_IN}/SRF/SOIL/soils_param4.nc, soils_param.nc ), \
+List=   (${R_IN}/SRF/SOIL/soils_param_zobler_coord.nc, soils_param.nc ), \
+        (${R_IN}/SRF/SOIL/soils_param_zobler_coord.nc, soilcolor.nc ), \
         (${R_IN}/SRF/reftemp4.nc, reftemp.nc ), \
         (${R_IN}/SRF/LAI/lai2D_ORCHIDEE_2_0_v1.nc, lai2D.nc ), \
Index: CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/ICOLMDZOR/highresmip_CMIP6/COMP/orchidee.card
===================================================================
--- CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/ICOLMDZOR/highresmip_CMIP6/COMP/orchidee.card	(revision 6486)
+++ CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/ICOLMDZOR/highresmip_CMIP6/COMP/orchidee.card	(revision 6520)
@@ -31,5 +31,6 @@
 
 [InitialStateFiles]
-List=   (${R_IN}/SRF/SOIL/soils_param4.nc, soils_param.nc ), \
+List=   (${R_IN}/SRF/SOIL/soils_param_zobler_coord.nc, soils_param.nc ), \
+        (${R_IN}/SRF/SOIL/soils_param_zobler_coord.nc, soilcolor.nc ), \
         (${R_IN}/SRF/reftemp4.nc, reftemp.nc ), \
         (${R_IN}/SRF/LAI/lai2D_ORCHIDEE_2_0_v1.nc, lai2D.nc ), \
Index: CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/IPSLCM/piControl_ORCHv4_TEST/COMP/orchidee.card
===================================================================
--- CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/IPSLCM/piControl_ORCHv4_TEST/COMP/orchidee.card	(revision 6486)
+++ CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/IPSLCM/piControl_ORCHv4_TEST/COMP/orchidee.card	(revision 6520)
@@ -39,5 +39,6 @@
 
 [InitialStateFiles]
-List=	(${R_IN}/SRF/SOIL/soils_param4.nc, soils_param.nc ), \
+List=	(${R_IN}/SRF/SOIL/soils_param_zobler_coord.nc, soils_param.nc ), \
+        (${R_IN}/SRF/SOIL/soils_param_zobler_coord.nc, soilcolor.nc ), \
         (${R_IN}/SRF/SOIL/soil_bulk_and_ph.nc, .), \
 	(${R_IN}/SRF/reftemp4.nc, reftemp.nc ), \
Index: CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/IPSLCM/piControl_TEST/COMP/orchidee.card
===================================================================
--- CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/IPSLCM/piControl_TEST/COMP/orchidee.card	(revision 6486)
+++ CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/IPSLCM/piControl_TEST/COMP/orchidee.card	(revision 6520)
@@ -34,5 +34,6 @@
 
 [InitialStateFiles]
-List=	(${R_IN}/SRF/SOIL/soils_param4.nc, soils_param.nc ), \
+List=	(${R_IN}/SRF/SOIL/soils_param_zobler_coord.nc, soils_param.nc ), \
+        (${R_IN}/SRF/SOIL/soils_param_zobler_coord.nc, soilcolor.nc ), \
 	(${R_IN}/SRF/reftemp4.nc, reftemp.nc ), \
         (${R_IN}/SRF/albedo/alb_bg_modisopt_2D_ESA_v3.nc, alb_bg.nc ), \
Index: CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/LMDZOR/amip/COMP/orchidee.card
===================================================================
--- CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/LMDZOR/amip/COMP/orchidee.card	(revision 6486)
+++ CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/LMDZOR/amip/COMP/orchidee.card	(revision 6520)
@@ -30,5 +30,6 @@
 
 [InitialStateFiles]
-List=	(${R_IN}/SRF/SOIL/soils_param.nc, .), \
+List=	(${R_IN}/SRF/SOIL/soils_param_zobler_coord.nc, soils_param.nc), \
+        (${R_IN}/SRF/SOIL/soils_param_zobler_coord.nc, soilcolor.nc), \
 	(${R_IN}/SRF/reftemp.nc, . ), \
 	(${R_IN}/SRF/ROUTING/routing.nc, . ), \
Index: CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/LMDZOR/clim_pdControl/COMP/orchidee.card
===================================================================
--- CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/LMDZOR/clim_pdControl/COMP/orchidee.card	(revision 6486)
+++ CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/LMDZOR/clim_pdControl/COMP/orchidee.card	(revision 6520)
@@ -34,5 +34,6 @@
 
 [InitialStateFiles]
-List=	(${R_IN}/SRF/SOIL/soils_param.nc, .), \
+List=	(${R_IN}/SRF/SOIL/soils_param_zobler_coord.nc, soils_param.nc), \
+        (${R_IN}/SRF/SOIL/soils_param_zobler_coord.nc, soilcolor.nc), \
 	(${R_IN}/SRF/reftemp.nc, . ), \
 	(${R_IN}/SRF/ROUTING/routing.nc, . ), \
Index: CONFIG/UNIFORM/v7/IPSLCM7/GENERAL/PARAM/orchidee.def_v22
===================================================================
--- CONFIG/UNIFORM/v7/IPSLCM7/GENERAL/PARAM/orchidee.def_v22	(revision 6486)
+++ CONFIG/UNIFORM/v7/IPSLCM7/GENERAL/PARAM/orchidee.def_v22	(revision 6520)
@@ -53,5 +53,5 @@
 SOILTYPE_CLASSIF = zobler 
 SOILALB_FILE     = soils_param.nc
-SOILCLASS_FILE   = soils_param.nc
+SOILCLASS_FILE   = soilcolor.nc
 
 # DO_RSOIL : Reduce soil evaporation with a soil resistance (default n)
Index: CONFIG/UNIFORM/v7/IPSLCM7/GENERAL/PARAM/orchidee.def_v4
===================================================================
--- CONFIG/UNIFORM/v7/IPSLCM7/GENERAL/PARAM/orchidee.def_v4	(revision 6486)
+++ CONFIG/UNIFORM/v7/IPSLCM7/GENERAL/PARAM/orchidee.def_v4	(revision 6520)
@@ -116,4 +116,6 @@
 SOILTYPE_CLASSIF = zobler 
 
+# SOILALB_FILE : File to read bare soil albedo
+SOILALB_FILE=soilcolor.nc
 
 # Parameters related to vegetation map