Index: CONFIG/UNIFORM/v6/IPSLCM6.3/EXPERIMENTS/LMDZ/CREATE_amip/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.3/EXPERIMENTS/LMDZ/CREATE_amip/COMP/lmdz.card	(revision 5555)
+++ CONFIG/UNIFORM/v6/IPSLCM6.3/EXPERIMENTS/LMDZ/CREATE_amip/COMP/lmdz.card	(revision 6530)
@@ -6,5 +6,5 @@
 [UserChoices]
 # Physics package to use
-LMDZ_Physics=NPv6.1
+LMDZ_Physics=NPv6.2
 
 # Manage radiative aerosol effect and ozone 
@@ -16,5 +16,5 @@
 # Use read_climoz=1 for CMIP6 ozone files, 2 for CMIP5 ozone files and 0 for no interpolation
 # LMDZ6/trunk revision 3281 or later is needed for read_climoz=1 (not included in branche IPSLCM6.0.15)
-read_climoz=0
+read_climoz=1
 
 ok_cdnc=y
@@ -34,15 +34,19 @@
 	(${R_IN}/ATM/OZONE/UReading/historical.v20160711.v2/original/144x96x66/tro3_${year_p1}.nc, climoz_p.nc)
 
-ListNonDel= (${R_IN}/ATM/Albedo.nc, .), \
-	(${R_IN}/ATM/ECDYN.nc.20020101, ECDYN.nc), \
-	(${R_IN}/ATM/ECDYN.nc.20020101, ECPHY.nc), \
-	(${R_IN}/ATM/Relief.nc, .), \
-	(${R_IN}/ATM/Rugos.nc, .), \
-	(${R_IN}/ATM/landiceref.nc, .), \
+ListNonDel= (${R_IN}/ATM/INPUT_CE0L/Albedo.nc, .), \
+	(${R_IN}/ATM/INPUT_CE0L/ECDYN.nc.20020101, ECDYN.nc), \
+	(${R_IN}/ATM/INPUT_CE0L/ECDYN.nc.20020101, ECPHY.nc), \
+	(${R_IN}/ATM/INPUT_CE0L/Relief_GMTED2010_15n015_00625deg_plus_GA.nc, Relief.nc), \
+	(${R_IN}/ATM/INPUT_CE0L/Rugos.nc, .), \
+	(${R_IN}/ATM/INPUT_CE0L/landiceref_GA_HR.new.nc, landiceref.nc), \
 	(${R_IN}/ATM/START/eORCA1.2xLMD144x142/o2a_v3.nc, o2a.nc)
 
+# Change to use following files for relief and landice if you need to fit to the coupled IPSLCM6.1 version:
+#	(${R_IN}/ATM/INPUT_CE0L/Relief_orig.nc, Relief.nc), \
+#	(${R_IN}/ATM/INPUT_CE0L/landiceref_orig.nc, landiceref.nc) \
+#
 # Optional: The o2a.nc file is optional and is used to fit with the coupled configuration for the land-sea mask.
 # The o2a file can be removed if it does not correspond to the resolution or zoom. In that case, Relief.nc will be used to calculate the mask land-sea.
-# Use following o2a file to fit with IPSLCM6.0.11 coupled model:
+# Use following o2a file to fit with IPSLCM6.1 coupled model:
 #       (${R_IN}/ATM/START/eORCA1.2xLMD144x142/o2a_v3.nc, o2a.nc)
 # Use following o2a file for regular grid 96x95, correspond to coupled configuration IPSLCM5A2:
@@ -58,5 +62,23 @@
 	(${SUBMIT_DIR}/PARAM/run.def, .), \
 	(${SUBMIT_DIR}/PARAM/guide.def, .), \
-	(${SUBMIT_DIR}/PARAM/traceur.def, .)
+	(${SUBMIT_DIR}/PARAM/traceur.def, .),\
+        (${SUBMIT_DIR}/PARAM/iodef.xml, . ),                                \
+        (${MODIPSL}/modeles/LMDZ/DefLists/context_lmdz.xml, . ),            \
+        (${MODIPSL}/modeles/LMDZ/DefLists/field_def_lmdz.xml, . ),          \
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histmth_lmdz.xml, . ),   \
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histmthCOSP_lmdz.xml, .),\
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histmthNMC_lmdz.xml, . ),\
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histday_lmdz.xml, . ),   \
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histdayCOSP_lmdz.xml, .),\
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histdayNMC_lmdz.xml, . ),\
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histhf_lmdz.xml, . ),    \
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histhfCOSP_lmdz.xml, .), \
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histhfNMC_lmdz.xml, . ), \
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histstn_lmdz.xml, . ),   \
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histins_lmdz.xml, . ),   \
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histstrataer_lmdz.xml, . ),\
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histdaystrataer_lmdz.xml, . ),\
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histLES_lmdz.xml, . )
+
 
 [RestartFiles]
@@ -64,5 +86,5 @@
 
 [OutputText]
-List=   (physiq.def, gcm.def, vert.def, run.def, config.def, traceur.def, guide.def,out_create_etat0_limit.e.err.*, out_create_etat0_limit.e.out.*)
+List=   (physiq.def, gcm.def, vert.def, run.def, config.def, traceur.def, guide.def, out_ce0l.e.out.0, out_ce0l.e.err.0)
 
 [OutputFiles]