Index: modipsl/trunk/util/mod.def
===================================================================
--- modipsl/trunk/util/mod.def	(revision 6551)
+++ modipsl/trunk/util/mod.def	(revision 6552)
@@ -331,64 +331,6 @@
 #-C- IPSLCM7_work  XIOS2/trunk                                      2439        12   XIOS           modeles
 
-#-H- IPSLCM7.0  IPSLCM7.0 1st coupled configuration
-#-H- IPSLCM7.0  This configuration is under construction
-#-H- IPSLCM7.0  NEMOGCM branch nemo_v3_6_STABLE revision 9455
-#-H- IPSLCM7.0  SHACONEMO revision 287
-#-H- IPSLCM7.0  XIOS trunk revision 1866
-#-H- IPSLCM7.0  IOIPSL tags v2_2_5
-#-H- IPSLCM7.0  LMDZ6 trunk revision 3721
-#-H- IPSLCM7.0  ORCHIDEE version branches/ORCHIDEE_2_2/ORCHIDEE revision 6594
-#-H- IPSLCM7.0  INCA6 trunk revison  915
-#-H- IPSLCM7.0  OASIS3-MCT 2.0_branch (rev 1818 Cerfacs server, rev 4775 IPSL server)
-#-H- IPSLCM7.0  CONFIG/IPSLCM7 rev HEAD
-#-H- IPSLCM7.0  libIGCM trunk rev 1552
-#-C- IPSLCM7.0  master                		        34d2c048        21   DYNAMICO       modeles
-#-C- IPSLCM7.0  aquaplanet/ICOSA_LMDZ                             457         19   ICOSA_LMDZ     modeles
-#-C- IPSLCM7.0  IOIPSL/tags/v2_2_5                               6058         8   IOIPSL         modeles
-#-C- IPSLCM7.0  branches/ORCHIDEE_2_2/ORCHIDEE                   7820        14   ORCHIDEE       modeles
-#-C- IPSLCM7.0  CPL/oasis3-mct/branches/OASIS3-MCT_5.0_branch    6331         8   oasis3-mct     .
-#-C- IPSLCM7.0  LMDZ6/trunk          		            4305        20   LMDZ           modeles
-#-C- IPSLCM7.0  CONFIG/UNIFORM/v7/IPSLCM7.0                      HEAD         8   IPSLCM7        config
-#-C- IPSLCM7.0  trunk/libIGCM                                    1581        10   libIGCM        .
-#-C- IPSLCM7.0  branches/2015/nemo_v3_6_STABLE/NEMOGCM           9455         7   .              modeles
-#-C- IPSLCM7.0  trunk/ORCA1_LIM3_PISCES                           287        17   .              modeles/NEMOGCM/CONFIG
-#-C- IPSLCM7.0  trunk/INCA6                                       915     	   9   INCA           modeles
-#-C- IPSLCM7.0  XIOS2/trunk                                       2439        12   XIOS           modeles
 
 #---- Configurations with DYNAMICO
-
-#-H- ICOLMDZOR_v7_TP  Working version of DYNAMICO-LMDZ-ORCHIDEE configuration
-#-H- ICOLMDZOR_v7_TP  This is a configuration under work.
-#-H- ICOLMDZOR_v7_TP  All components can change revision following IPSLCM6.2_work configuration.
-#-C- ICOLMDZOR_v7_TP  master                		    34d2c048    21   DYNAMICO       modeles
-#-C- ICOLMDZOR_v7_TP  LMDZ6/trunk          		    4305    	20   LMDZ           modeles
-#-C- ICOLMDZOR_v7_TP  branches/ORCHIDEE_2_2/ORCHIDEE      7820  	14   ORCHIDEE       modeles
-#-C- ICOLMDZOR_v7_TP  IOIPSL/tags/v2_2_5                  6058    	8    IOIPSL         modeles
-#-C- ICOLMDZOR_v7_TP  aquaplanet/ICOSA_LMDZ                457    	19   ICOSA_LMDZ     modeles
-#-C- ICOLMDZOR_v7_TP  XIOS2/trunk                          2439    	12   XIOS           modeles
-#-C- ICOLMDZOR_v7_TP  CONFIG/UNIFORM/v7/ICOLMDZOR_v7      6384    	8    ICOLMDZOR_v7   config
-#-C- ICOLMDZOR_v7_TP  trunk/libIGCM                       1581    	10   libIGCM        .
-
-#-H- ICOLMDZOR_v7.1  CMIP6 HighResMIP beta version of DYNAMICO-LMDZ-ORCHIDEE configuration
-#-C- ICOLMDZOR_v7.1  icosagcm/trunk                      1006    18   DYNAMICO       modeles
-#-C- ICOLMDZOR_v7.1  LMDZ6/trunk                         3615    20   LMDZ           modeles
-#-C- ICOLMDZOR_v7.1  branches/ORCHIDEE_2_2/ORCHIDEE      6372    14   ORCHIDEE       modeles
-#-C- ICOLMDZOR_v7.1  IOIPSL/trunk                        4745    8    IOIPSL         modeles
-#-C- ICOLMDZOR_v7.1  aquaplanet/ICOSA_LMDZ                404    19   ICOSA_LMDZ     modeles
-#-C- ICOLMDZOR_v7.1  XIOS/trunk                          1778    12   XIOS           modeles
-#-C- ICOLMDZOR_v7.1  CONFIG/UNIFORM/v7/ICOLMDZOR_v7      4959    8    ICOLMDZOR_v7   config
-#-C- ICOLMDZOR_v7.1  CONFIG/UNIFORM/v7/ICOLMDZOR_v7/ARCH 6384    8    ARCH           config/ICOLMDZOR_v7
-#-C- ICOLMDZOR_v7.1  trunk/libIGCM                       1509    10   libIGCM        .
-
-#-H- ICOLMDZOR_v7.2  CMIP6 HighResMIP version of DYNAMICO-LMDZ-ORCHIDEE configuration
-#-C- ICOLMDZOR_v7.2  icosagcm/trunk                      1028    18   DYNAMICO       modeles
-#-C- ICOLMDZOR_v7.2  LMDZ6/branches/IPSL-CM6A-MR         3855    20   LMDZ           modeles
-#-C- ICOLMDZOR_v7.2  branches/ORCHIDEE_Quest/ORCHIDEE    7086    14   ORCHIDEE       modeles
-#-C- ICOLMDZOR_v7.2  IOIPSL/tags/v2_2_5                  6058    8    IOIPSL         modeles
-#-C- ICOLMDZOR_v7.2  aquaplanet/ICOSA_LMDZ                433    19   ICOSA_LMDZ     modeles
-#-C- ICOLMDZOR_v7.2  XIOS/trunk                          2331    12   XIOS           modeles
-#-C- ICOLMDZOR_v7.2  CONFIG/UNIFORM/v7/ICOLMDZOR_v7      6155    8    ICOLMDZOR_v7   config
-#-C- ICOLMDZOR_v7.2  CONFIG/UNIFORM/v7/ICOLMDZOR_v7/ARCH 6384    8    ARCH           config/ICOLMDZOR_v7
-#-C- ICOLMDZOR_v7.2  trunk/libIGCM                       1581    10   libIGCM        .
 
 #-H- ICOLMDZORINCA_v7_work  DYNAMICO - LMDZ - ORCHIDEE - INCA working version 
@@ -427,14 +369,4 @@
 #-C- ICOLMDZOR_v7_LAM_work  trunk/libIGCM                       1574    10   libIGCM        .
 
-#-H- ICOLMDZOR_v7_LAM.1  1st version of DYNAMICO-LMDZ-ORCHIDEE LAM configuration
-#-H- ICOLMDZOR_v7_LAM.1  This is a frozen configuration.
-#-C- ICOLMDZOR_v7_LAM.1  trunk2master                        b18ad822     21   DYNAMICO       modeles
-#-C- ICOLMDZOR_v7_LAM.1  LMDZ6/branches/IPSL-CM6A-MR         3855    20   LMDZ           modeles
-#-C- ICOLMDZOR_v7_LAM.1  branches/ORCHIDEE_Quest/ORCHIDEE    7086    14   ORCHIDEE       modeles
-#-C- ICOLMDZOR_v7_LAM.1  IOIPSL/tags/v2_2_5                  6058    8    IOIPSL         modeles
-#-C- ICOLMDZOR_v7_LAM.1  aquaplanet/ICOSA_LMDZ                455    19   ICOSA_LMDZ     modeles
-#-C- ICOLMDZOR_v7_LAM.1  XIOS/trunk                          2331    12   XIOS           modeles
-#-C- ICOLMDZOR_v7_LAM.1  CONFIG/UNIFORM/v7/ICOLMDZOR_LAM_v7  6260    8    ICOLMDZOR_v7   config
-#-C- ICOLMDZOR_v7_LAM.1  trunk/libIGCM                       1581    10   libIGCM        .
 
 #---- LMDZOR configurations