Index: /CONFIG/UNIFORM/v6/LMDZREPR_v6/EXPERIMENTS/LMDZREPR/HungaTonga/COMP/lmdz.card
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZREPR_v6/EXPERIMENTS/LMDZREPR/HungaTonga/COMP/lmdz.card	(revision 6558)
+++ /CONFIG/UNIFORM/v6/LMDZREPR_v6/EXPERIMENTS/LMDZREPR/HungaTonga/COMP/lmdz.card	(revision 6558)
@@ -0,0 +1,243 @@
+[Compatibility]
+libIGCM=1.0
+
+[UserChoices]
+# Physics package to use :
+# LMDZ_Physics=AP for standard/old physics(defalut), can be used with LMDZ4_AR5 or LMDZ5/trunk sources
+# LMDZ_Physics=NPv3.2 for an early version of the new physics, to be used with LMDZ5/trunk revision 1554 or later
+# LMDZ_Physics=NPv5.70 for new physics to be used with LMDZ5/testing revision 2595 or later
+# LMDZ_Physics=NPv5.80bz0 for new physics to be used with LMDZ5/trunk revision 2699 or later
+# LMDZ_Physics=NPv6.0.7 for new physics to be used with LMDZ5/trunk revision 2720 or later
+# LMDZ_Physics=NPv6.0.8 for new physics to be used with LMDZ5/trunk revision 2739 or later
+# LMDZ_Physics=NPv6.0.15_T or NPv6.0.15_S to be used with LMDZ6/branches/IPSLCM6.0.15 rev 3224
+# LMDZ_Physics=NPv6.1 to be used with LMDZ6/branches/IPSLCM6.0.15 rev 3301
+# LMDZ_Physics=NPv6.1.3 as NPv6.1 but allows tau_gl to be modified
+# LMDZ_Physics=NPv6.2 as used in QUEST CMIP6 simulations
+LMDZ_Physics=NPv6.2
+
+# Set ConfType to choose parameters for aerosols, solar and green house gazes.
+# The parameter file PARAM/config.def_$ConfType will be used.
+# ConfType=preind/actuel/annuel
+ConfType=annuel
+
+# Activate the call to phytrac to run tracer simulation 
+iflag_phytrac=1
+
+# Manage radiative aerosol effect and ozone
+flag_aerosol=0
+ok_ade=n
+ok_aie=n
+aerosol_couple=n
+read_climoz=1
+ok_cdnc=n
+
+# ByPass_hgardfou_teta=y : modify teta_ parameters for following CumulPeriod only
+ByPass_hgardfou_teta=n
+
+# ByPass_hgardfou_mats=y : set parameter purmats=y for following CumulPeriod only
+ByPass_hgardfou_mats= n
+
+# Nugding : ok_guide=y/n
+# If ok_guide=y, add nudging files(u.nc, v.nc, hur.nc,...) in BoundaryFiles section below.
+ok_guide=n
+
+# Specify which output file to activate and at which output_level
+# Use an integer to specify the output level or NONE if to deactivate the file
+# output_level_filename=1     : activate the corresponding file with low output level
+# output_level_filename=10    : activate the corresponding file with high output level
+# output_level_filename=NONE  : the file will not be written
+output_level_histmth = 5
+output_level_histday = NONE
+output_level_histhf  = NONE
+output_level_histmthNMC = NONE
+output_level_histdayNMC = NONE
+output_level_histhfNMC  = NONE
+output_level_histstrataer = NONE
+output_level_histdaystrataer = NONE
+output_level_histstn      = NONE
+
+# Activate COSP in config.def and set corresponding output files
+LMDZ_COSP_OK=n
+output_level_histmthCOSP = NONE
+output_level_histdayCOSP = NONE
+output_level_histhfCOSP  = NONE
+
+[InitialStateFiles]
+List=   (/ccc/work/cont003/gen2201/marchand/EMISSION/RESTART/ATM_LMDZREPR-histSST-piNTCF-CCMI-1960-2018_20181231_restart.nc, start.nc),\
+        (/ccc/work/cont003/gen2201/marchand/EMISSION/RESTART/ATM_LMDZREPR-histSST-piNTCF-CCMI-1960-2018_20181231_restartphy.nc, startphy.nc)
+
+
+[BoundaryFiles]
+List=   (${R_IN}/ATM/LIMIT/CMIP6/CM61-LR-scen-ssp245/interpol/${RESOL_ATM_XY}_eORCA1.2_gregorian/limit_${year}.nc, limit.nc),\
+        (${R_IN}/ATM/AEROSOLS/CMIP6/Scenarios/ssp245/${RESOL_ATM_XY}/L${RESOL_ATM_Z}/aerosols${year}_from_inca.nc,    aerosols${year}.nc),\
+        (${R_IN}/ATM/SOLAR/CMIP6/v3.2corr/Future/solarforcing_daily_3.2_6bands_${year}.nc,        solarforcing.nc),\
+        (${R_IN}/ATM/OZONE/UReading/Scenarios/CCMI-ssp245.v20181101/interpol/${RESOL_ATM_XY}/climoz_LMDZ_${year}.nc, climoz_LMDZ.nc),\
+        (${R_IN}/ATM/NUDGE_FILES/ERA5/144x142/AN${year}/aphe5/u_${year}${month}_era5.nc, u.nc),\
+        (${R_IN}/ATM/NUDGE_FILES/ERA5/144x142/AN${year}/aphe5/v_${year}${month}_era5.nc, v.nc),\
+        (${R_IN}/ATM/STRATAERO/CMIP6/v4/${RESOL_ATM_XY}/L${RESOL_ATM_Z}/taulwstrat.2D.${year}.nc, taulwstrat.2D.nc),\
+        (${R_IN}/ATM/STRATAERO/CMIP6/v4/${RESOL_ATM_XY}/L${RESOL_ATM_Z}/tauswstrat.2D.${year}.nc, tauswstrat.2D.nc)
+
+
+# Note: the SOLARANDVOLCANOES.txt is only used for LMDZ_Physics=AP and NPv3.2 (if ok_suntime_rrtm=n)
+# Add the following file for LMDZ_Physics=AP (${R_IN}/ATM/IPCC_AR5/HISTORIQUE/SOLARANDVOLCANOES_1610_2008.txt, SOLARANDVOLCANOES.txt)
+ListNonDel= (${R_IN}/ATM/GHG/CMIP6/ssp/ssp245/CO2_CMIP6_2015_2500.txt, CO2.txt),\
+            (${R_IN}/ATM/GHG/CMIP6/ssp/ssp245/CH4_CMIP6_2015_2500.txt, CH4.txt),\
+            (${R_IN}/ATM/GHG/CMIP6/ssp/ssp245/N2O_CMIP6_2015_2500.txt, N2O.txt),\
+            (${R_IN}/ATM/GHG/CMIP6/ssp/ssp245/CFC11eq_CMIP6_2015_2500.txt, CFC11.txt),\
+            (${R_IN}/ATM/GHG/CMIP6/ssp/ssp245/CFC12eq_CMIP6_2015_2500.txt, CFC12.txt),\
+            (${R_IN}/ATM/AEROSOLS/CMIP6/v1/${RESOL_ATM_XY}/L${RESOL_ATM_Z}/aerosols1850_from_inca.nc, aerosols.nat.nc)
+
+
+[SmoothFiles]
+List=   ()
+
+[ParametersFiles]
+List=   (${SUBMIT_DIR}/PARAM/physiq.def_${LMDZ_Physics}, physiq.def),       \
+        (${SUBMIT_DIR}/PARAM/gcm.def_${RESOL_ATM_XY}_${LMDZ_Physics}, gcm.def),\
+        (${SUBMIT_DIR}/PARAM/vert.def_L${RESOL_ATM_Z},   vert.def),         \
+        (${MODIPSL}/modeles/LMDZ/DefLists/cosp_input_nl.txt, .),            \
+        (${MODIPSL}/modeles/LMDZ/DefLists/cosp_output_nl.txt, .),           \
+        (${SUBMIT_DIR}/PARAM/config.def_${ConfType},  config.def),          \
+        (${SUBMIT_DIR}/PARAM/guide.def, .),                                 \
+        (${SUBMIT_DIR}/PARAM/run.def, .),                                   \
+        (${SUBMIT_DIR}/PARAM/tracer.def.repr, tracer.def),                  \
+        (${SUBMIT_DIR}/PARAM/iodef.xml, . ),                                \
+        (${SUBMIT_DIR}/PARAM/ping_LMDZ_CCMI.xml, ping_lmdz.xml ),           \
+        (${SUBMIT_DIR}/PARAM/dr2xml_LMDZ_CCMI.xml, dr2xml_lmdz.xml),        \
+        (${MODIPSL}/modeles/LMDZ/DefLists/context_lmdz.xml, . ),            \
+        (${MODIPSL}/modeles/LMDZ/DefLists/field_def_lmdz.xml, .),          \
+        (${MODIPSL}/modeles/LMDZ/DefLists/field_def_cosp1.xml, .),         \
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histmth_lmdz.xml, .),   \
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histmthCOSP_lmdz.xml, .),\
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histmthNMC_lmdz.xml, . ),\
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histday_lmdz.xml, .),   \
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histdayCOSP_lmdz.xml, .),\
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histdayNMC_lmdz.xml, . ),\
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histhf_lmdz.xml, . ),    \
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histhfCOSP_lmdz.xml, .), \
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histhfNMC_lmdz.xml, . ), \
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histstn_lmdz.xml, . ),   \
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histins_lmdz.xml, . ),   \
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histstrataer_lmdz.xml, . ),\
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histdaystrataer_lmdz.xml, . ),\
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histLES_lmdz.xml, . )
+
+[RestartFiles]
+List=   (restart.nc, restart.nc, start.nc), \
+        (restartphy.nc, restartphy.nc,  startphy.nc)
+
+[OutputText]
+List=   (physiq.def, gcm.def, run.def, traceur.def, guide.def, config.def, vert.def, used_run.def, iodef.xml, context_lmdz.xml, field_def_lmdz.xml, file_def_*lmdz.xml, debug.01, lmdz.prt, out_lmdz.x.err, out_lmdz.x.out)
+
+[OutputFiles]
+List=   (histmth.nc,       ${R_OUT_ATM_O_M}/${PREFIX}_1M_histmth.nc,       NONE),                  \
+        (histmthCOSP.nc,   ${R_OUT_ATM_O_M}/${PREFIX}_1M_histmthCOSP.nc,   NONE),                  \
+        (histmthNMC.nc,    ${R_OUT_ATM_O_M}/${PREFIX}_1M_histmthNMC.nc,    NONE),                  \
+        (histday.nc,       ${R_OUT_ATM_O_D}/${PREFIX}_1D_histday.nc,       NONE),                  \
+        (histdayCOSP.nc,   ${R_OUT_ATM_O_D}/${PREFIX}_1D_histdayCOSP.nc,   NONE),                  \
+        (histdayNMC.nc,    ${R_OUT_ATM_O_D}/${PREFIX}_1D_histdayNMC.nc,    NONE),                  \
+        (histhf.nc,        ${R_OUT_ATM_O_H}/${PREFIX}_HF_histhf.nc,        NONE),                  \
+        (histhfCOSP.nc,    ${R_OUT_ATM_O_H}/${PREFIX}_HF_histhfCOSP.nc,    NONE),                  \
+        (histhfNMC.nc,     ${R_OUT_ATM_O_H}/${PREFIX}_HF_histhfNMC.nc,     NONE),                  \
+        (histhf3h.nc,      ${R_OUT_ATM_O_H}/${PREFIX}_3H_histhf3h.nc,      NONE),                  \
+        (histhf3hm.nc,     ${R_OUT_ATM_O_H}/${PREFIX}_3H_histhf3hm.nc,     NONE)
+
+
+[Post_1M_histmth]
+Patches= ()
+GatherWithInternal = (lon, lat, presnivs, time_counter, time_centered, time_centered_bounds, aire)
+TimeSeriesVars2D = (bils, cldh, cldl, cldm, cldq, cldt, evap, iwp, lwp, LWdnSFC, LWdnSFCclr, LWupSFC, LWupSFCclr, precip, prw, pluc, psol, q2m, sens, sicf, slp, snow, soll0, soll, sols0, sols, SWdnSFC, SWupSFC, SWdnTOA, SWupTOA, SWdnSFCclr, SWupSFCclr, SWupTOAclr, t2m, ave_t2m_daily_max, ave_t2m_daily_min, taux, taux_ter, taux_sic, taux_lic, taux_oce, tauy, tauy_ter, tauy_sic, tauy_lic, tauy_oce, lat_ter, lat_sic, lat_lic, lat_oce, nettop, pbase, ptop, topl0, topl, tops0, tops, topswad, tsol, tsol_ter, tsol_lic, tsol_oce, tsol_sic , u10m, v10m, pourc_ter, pourc_oce, pourc_sic, pourc_lic, wind10m, R_ecc, R_peri, R_incl, solaire, rsun1, co2_ppm, CH4_ppb, N2O_ppb, CFC11_ppt, CFC12_ppt)
+ChunckJob2D = NONE
+TimeSeriesVars3D = (temp, ovap, vitu, vitv, vitw, pres, rneb, rhum)
+ChunckJob3D = NONE
+Seasonal=OFF
+
+[Post_1M_histmthCOSP]
+Patches = ()
+GatherWithInternal = (lon, lat, pressure2, height, sza, time_counter, time_centered, time_centered_bounds, aire)
+TimeSeriesVars2D = (cllcalipso, clmcalipso, clhcalipso, cltcalipso, tclisccp, albisccp, ctpisccp)
+ChunckJob2D = OFF
+TimeSeriesVars3D = (clcalipso, clisccp2_c01, clisccp2_c02, clisccp2_c03, clisccp2_c04, clisccp2_c05, clisccp2_c06, clisccp2_c07, parasol_refl)
+ChunckJob3D = OFF
+Seasonal=OFF
+
+[Post_1M_histmthNMC]
+Patches = ()
+GatherWithInternal = (lon, lat, plev, time_counter, time_centered, time_centered_bounds)
+TimeSeriesVars2D = ()
+ChunckJob2D = NONE
+TimeSeriesVars3D = (ta, tro3, zg, hus, hur, ua, va, wap)
+ChunckJob3D = NONE
+Seasonal=ON
+
+[Post_1D_histday]
+Patches= ()
+GatherWithInternal = (lon, lat, presnivs, time_counter, time_centered, time_centered_bounds)
+TimeSeriesVars2D = (bils, cldh, cldl, cldm, cldq, cldt, evap, flat, precip, pluc, plul, prw, psol, q2m, sens, sicf, slp, soll, sols, snow, SWdnSFC, t2m, t2m_max, t2m_min, topl, tops, tsol, u10m, v10m, wind10m, wind10max)
+ChunckJob2D = 50Y
+TimeSeriesVars3D = (lwcon, iwcon, mc, rhum, rneb, temp, theta, ovap, geop, vitu, vitv, vitw, pres, paprs,O3,OX,N2O,CH4,H2Orep,NOy,HNO3,N2O5,Clx,O3I,H2SO4,HCl,ClONO2,AgeAire)
+ChunckJob3D = OFF
+Seasonal=OFF
+
+[Post_1D_histdayCOSP]
+Patches = ()
+GatherWithInternal = (lon, lat, pressure2, height, sza, time_counter, time_centered, time_centered_bounds)
+TimeSeriesVars2D = (cllcalipso, clmcalipso, clhcalipso, cltcalipso, tclisccp, albisccp, ctpisccp)
+ChunckJob2D = OFF
+TimeSeriesVars3D = (clcalipso, clisccp2_c01, clisccp2_c02, clisccp2_c03, clisccp2_c04, clisccp2_c05, clisccp2_c06, clisccp2_c07, parasol_refl)
+ChunckJob3D = OFF
+Seasonal=OFF
+
+[Post_1D_histdayNMC]
+Patches = ()
+GatherWithInternal = (lon, lat, plev, time_counter, time_centered, time_centered_bounds)
+TimeSeriesVars2D = ()
+ChunckJob2D = NONE
+TimeSeriesVars3D = (ta, zg, hus, hur, ua, va, wap)
+ChunckJob3D = 10Y
+Seasonal=OFF
+
+[Post_HF_histhf]
+Patches= ()
+GatherWithInternal = (lon, lat, presnivs, time_counter, time_centered, time_centered_bounds)
+TimeSeriesVars2D = (cldt, psol, q2m, slp, precip, pluc, plul, t2m, tsol, u10m, v10m)
+ChunckJob2D = 50Y
+TimeSeriesVars3D = (temp, theta, ovap, vitu, vitv)
+ChunckJob3D = OFF
+Seasonal=OFF
+
+[Post_HF_histhfCOSP]
+Patches = ()
+GatherWithInternal = (lon, lat, height, sza, time_counter, time_centered, time_centered_bounds)
+TimeSeriesVars2D = (cllcalipso, clmcalipso, clhcalipso, cltcalipso)
+ChunckJob2D = OFF
+TimeSeriesVars3D = (clcalipso, parasol_refl, cfad_lidarsr532_c01, cfad_lidarsr532_c02, cfad_lidarsr532_c03, cfad_lidarsr532_c04, cfad_lidarsr532_c05, cfad_lidarsr532_c06, cfad_lidarsr532_c07, cfad_lidarsr532_c08, cfad_lidarsr532_c09, cfad_lidarsr532_c10, cfad_lidarsr532_c11, cfad_lidarsr532_c12, cfad_lidarsr532_c13, cfad_lidarsr532_c14, cfad_lidarsr532_c15)
+ChunckJob3D = OFF
+Seasonal=OFF
+
+[Post_HF_histhfNMC]
+Patches = ()
+GatherWithInternal = (lon, lat, plev, time_counter, time_centered, time_centered_bounds)
+TimeSeriesVars2D = ()
+ChunckJob2D = NONE
+TimeSeriesVars3D = (ta, zg, hus, hur, ua, va, wap)
+ChunckJob3D = 10Y
+Seasonal=OFF
+
+[Post_3H_histhf3hm]
+Patches= ()
+GatherWithInternal = (lon, lat, presnivs, time_counter, time_centered, time_centered_bounds)
+TimeSeriesVars2D = (flat, precip, pluc, snow, topl, topl0, SWupTOA, SWupTOAclr, SWdnTOA, SWupSFC, SWupSFCclr, SWdnSFC, SWdnSFCclr, LWupSFC, LWupSFCclr, LWdnSFC, LWdnSFCclr, bils, bils_tke, bils_diss, bils_ec, bils_kinetic, bils_enthalp, bils_latent, sens, cldt, zmax_th)
+ChunckJob2D = OFF
+TimeSeriesVars3D = ()
+ChunckJob3D = OFF
+Seasonal=OFF
+
+[Post_3H_histhf3h]
+Patches= ()
+GatherWithInternal = (lon, lat, presnivs, time_counter, time_centered, time_centered_bounds)
+TimeSeriesVars2D = (phis, tsol, t2m, q2m, ustar, u10m, v10m, psol)
+ChunckJob2D = OFF
+TimeSeriesVars3D = ()
+ChunckJob3D = OFF
+Seasonal=OFF
Index: /CONFIG/UNIFORM/v6/LMDZREPR_v6/EXPERIMENTS/LMDZREPR/HungaTonga/COMP/reprobus.card
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZREPR_v6/EXPERIMENTS/LMDZREPR/HungaTonga/COMP/reprobus.card	(revision 6558)
+++ /CONFIG/UNIFORM/v6/LMDZREPR_v6/EXPERIMENTS/LMDZREPR/HungaTonga/COMP/reprobus.card	(revision 6558)
@@ -0,0 +1,77 @@
+# $Id$
+
+[Compatibility]
+libIGCM=1.0
+
+[UserChoices]
+# Specify which output file to activate and at which output_level
+# Use an integer to specify the output level or NONE if to deactivate the file
+# output_level_filename=1     : activate the corresponding file with low output level
+# output_level_filename=10    : activate the corresponding file with high output level
+# output_level_filename=NONE  : the file will not be written
+output_level_reprobus_species  = NONE
+output_level_reprobus_speciesm = 5
+
+
+[InitialStateFiles]
+List= ()
+
+[BoundaryFiles]
+List=(${R_IN}/CHM/REPROBUS144142-L79/INPUT/MODELE_2D_AER/CCMI-2022/REFD2/sad_2D-${yyyymm_m1}15.nc, sadm.nc),\
+     (${R_IN}/CHM/REPROBUS144142-L79/INPUT/MODELE_2D_AER/CCMI-2022/REFD2/sad_2D-${year}${month}15.nc, sad.nc),\
+     (${R_IN}/CHM/REPROBUS144142-L79/INPUT/MODELE_2D_AER/CCMI-2022/REFD2/sad_2D-${yyyymm_p1}15.nc, sadp.nc),\
+     (${R_IN}/CHM/REPROBUS144142-L79/INPUT/MODELE_2D_FORC/CCMI-2022/REFD2/forc_2D-${yyyymm_m1}15.nc, forcm.nc),\
+     (${R_IN}/CHM/REPROBUS144142-L79/INPUT/MODELE_2D_FORC/CCMI-2022/REFD2/forc_2D-${year}${month}15.nc, forc.nc),\
+     (${R_IN}/CHM/REPROBUS144142-L79/INPUT/MODELE_2D_FORC/CCMI-2022/REFD2/forc_2D-${yyyymm_p1}15.nc, forcp.nc),\
+     (${R_IN}/CHM/REPROBUS144142-L79/INPUT/TOMCAT_3D/tom_3D-1995${month_m1}.nc, tomm.nc),\
+     (${R_IN}/CHM/REPROBUS144142-L79/INPUT/TOMCAT_3D/tom_3D-1995${month}.nc, tom.nc),\
+     (${R_IN}/CHM/REPROBUS144142-L79/INPUT/TOMCAT_3D/tom_3D-1995${month_p1}.nc, tomp.nc),\
+     (${R_IN}/CHM/REPROBUS144142-L79/INPUT/SOLAR/jstrato/CCMI-2022/REFD2/txt/jstrato.${year}${month}, jstrato)
+
+
+ListNonDel=()
+
+[SmoothFiles]
+List= ()
+
+[ParametersFiles]
+List= (${SUBMIT_DIR}/PARAM/reprobus.def, .),\
+    (${MODIPSL}/modeles/REPROBUS/XML/context_reprobus.xml, .)   ,\
+    (${MODIPSL}/modeles/REPROBUS/XML/field_def_reprobus.xml, .) ,\
+    (${MODIPSL}/modeles/REPROBUS/XML/file_def_reprobus.xml, .),\
+    (${SUBMIT_DIR}/PARAM/ping_reprobus_CCMI.xml, ping_REPROBUS_CM6.xml) ,\
+    (${SUBMIT_DIR}/PARAM/dr2xml_reprobus_CCMI.xml, dr2xml_reprobus.xml)
+
+
+
+[RestartFiles]
+List= ( NONE )
+
+[OutputText]
+List= (reprobus.def,context_reprobus.xml,field_def_reprobus.xml,file_def_reprobus.xml)
+
+[OutputFiles]
+List= (reprobus_species.nc,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_reprobus_species.nc,    NONE),\
+      (reprobus_speciesm.nc,     ${R_OUT_CHM_O_M}/${PREFIX}_1M_reprobus_speciesm.nc,   NONE)
+
+
+[Post_1D_reprobus_species]
+Patches= ()
+GatherWithInternal = (lon, lat, presnivs, time_centered, time_centered_bounds, time_counter, area)
+TimeSeriesVars2D = (colo3)
+ChunckJob2D = NONE
+TimeSeriesVars3D = (temp, CH4, H2Orep, NO2, N2O, HNO3, N2O5, NO, NOy, O3, HBr, BrONO2, BrO, HOBr, BrCl, Br, HCl, ClONO2, ClO, Cl2O2, HOCl, OClO, Cl)
+ChunckJob3D = NONE
+Seasonal=OFF
+
+[Post_1M_reprobus_speciesm]
+Patches= ()
+GatherWithInternal = (lon, lat, presnivs, time_centered, time_centered_bounds, time_counter, area)
+TimeSeriesVars2D = (colo3)
+ChunckJob2D = NONE
+TimeSeriesVars3D = (temp, CH4, H2Orep, NO2, N2O, HNO3, N2O5, NO, NOy, O3, HBr, BrONO2, BrO, HOBr, BrCl, Br, HCl, ClONO2, ClO, Cl2O2, HOCl, OClO, Cl)
+ChunckJob3D = NONE
+Seasonal=OFF
+
+
+
Index: /CONFIG/UNIFORM/v6/LMDZREPR_v6/EXPERIMENTS/LMDZREPR/HungaTonga/COMP/xios.card
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZREPR_v6/EXPERIMENTS/LMDZREPR/HungaTonga/COMP/xios.card	(revision 6558)
+++ /CONFIG/UNIFORM/v6/LMDZREPR_v6/EXPERIMENTS/LMDZREPR/HungaTonga/COMP/xios.card	(revision 6558)
@@ -0,0 +1,29 @@
+[Compatibility]
+libIGCM=1.0
+
+[UserChoices]
+
+[InitialStateFiles]
+List=	()
+
+[BoundaryFiles]
+List=	()
+ListNonDel= ()
+
+[SmoothFiles]
+List=	()
+
+[ParametersFiles]
+List=	()
+
+[RestartFiles]
+List=  (NONE)
+
+[OutputText]
+List=   (xios_client_*,out_xios.x.err.*, out_xios.x.out.*)
+
+[OutputFiles]
+List=   ()
+
+
+
Index: /CONFIG/UNIFORM/v6/LMDZREPR_v6/EXPERIMENTS/LMDZREPR/HungaTonga/config.card
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZREPR_v6/EXPERIMENTS/LMDZREPR/HungaTonga/config.card	(revision 6558)
+++ /CONFIG/UNIFORM/v6/LMDZREPR_v6/EXPERIMENTS/LMDZREPR/HungaTonga/config.card	(revision 6558)
@@ -0,0 +1,143 @@
+# $Id$
+#========================================================================
+#D-- Compatibility -
+[Compatibility]
+libIGCM=1.0
+#D-- UserChoices -
+[UserChoices]
+#============================
+JobName=LMDZREPR-HT01
+#----- Short Name of Experiment
+ExperimentName=HungaTonga
+#----- DEVT TEST PROD
+SpaceName=DEVT
+LongName="LMDZREPR6.2"
+TagName=LMDZREPR
+ModelName=LMDZ-REPROBUS
+#D- Choice of experiment in EXPERIEMENTS directory
+ExpType=LMDZREPR/amip
+#============================
+#-- leap, noleap, 360d
+CalendarType=leap
+#-- Begin and end of job 
+#-- "YYYY-MM-DD"
+DateBegin=2022-01-01
+DateEnd=2022-01-31
+#============================
+#-- 1Y, 1M, 5D, 1D Period Length for one execution
+PeriodLength=1M
+#============================
+#-- Compression level for netcdf output files
+CompressionLevel=2
+#============================
+#-- Source following file with module settings, only if it exists
+EnvFile=${SUBMIT_DIR}/../ARCH/arch.env
+#============================
+#-- ResolAtm indicates the atmospheric resolution
+#   This variable is used in the executable name 
+ResolAtm=144x142x79
+#============================
+# OptMode indicates the optimization mode choosen during compilation
+# This variable is used in the executable name
+OptMode=prod
+
+#========================================================================
+#D-- ListOfComponents -
+[ListOfComponents]
+#D- For each component, Name of component, Tag of component
+ATM= (lmdz, LMDZ)
+CHM= (reprobus, REPROBUS)
+IOS= (xios, XIOS)
+
+#========================================================================
+#D-- Executable -
+[Executable]
+#D- For each component: First argument is the executable name as in bin folder.
+#D  ResolAtm and OptMode are set in UserChoices section.
+#D- Here is set 71MPI*8OMP which is suitable for resolution 144x142x79
+#D- Change to 31MPI*4OMP for resolution 96x95x39
+ATM= (gcm_${ResolAtm}_${OptMode}.e, lmdz.x, 71MPI, 8OMP)
+CHM= ("", "")
+IOS= (xios_server_${OptMode}.exe, xios.x, 1MPI)
+
+#========================================================================
+#D-- Restarts -
+[Restarts]
+#D- by default: config.card describes no restart for all components 
+#D-             ie start from Levitus or limit files
+#D- If you want to restart all components from the same simulation,
+#D-      put OveRule flag to 'y' and set the next 3 parameters
+OverRule=n
+#D- Last day of the experience used as restart for all components
+RestartDate=2319-12-31
+#D- Define restart simulation name for all components
+RestartJobName=CM607-LR-pdCtrl-01
+#D- Path Server Group Login
+RestartPath=${R_IN}/RESTART/IPSLCM6/DEVT/pdControl
+
+#========================================================================
+#D-- ATM -
+[ATM]
+WriteFrequency=""
+# If config_Restarts_OverRule == 'n' next 4 params are read
+Restart= n
+# Last day of the experience used as restart for this component if Restart=y
+RestartDate=2319-12-31
+#D- Define restart simulation name for this component
+RestartJobName=CM607-LR-pdCtrl-01
+#D- Path Server Group Login
+RestartPath=${R_IN}/RESTART/IPSLCM6/DEVT/pdControl
+
+#========================================================================
+#D-- CHM -- 
+[CHM]
+#
+WriteFrequency=""
+# If config_Restarts_OverRule == 'n' next 4 params are read
+Restart=n
+##-- Last day of the experience used as restart for this component if Restart=y
+RestartDate=
+# Define restart simulation name for this component
+RestartJobName=
+RestartPath=
+#-- Old component name for restart (if empty, use new name)
+OldName=
+
+#========================================================================
+#D-- IOS -
+[IOS]
+# If config_Restarts_OverRule == 'n' next 4 params are read
+Restart= n
+##-- Last day of the experience used as restart for this component if Restart=y
+RestartDate=
+# Define restart simulation name for this component
+RestartJobName=
+RestartPath=
+
+#========================================================================
+#D-- Post -
+[Post]
+#D- PackFrequency determines the frequency of pack submission (1M, 12M)
+PackFrequency=NONE
+#D- TimeSeriesFreqency determines the frequency of post-processing submission (1Y)
+#D- Set NONE to deactivate the creation of all time series 
+TimeSeriesFrequency=NONE
+#D- SeasonalFrequency determines the length for each seasonal average
+#D- Set NONE to deactivate the creation of all seasonal avereage
+SeasonalFrequency=NONE
+#D- Offset for seasonal average first start dates ; same unit as SeasonalFrequency
+#D- Usefull if you do not want to consider the first X simulation's years
+SeasonalFrequencyOffset=0
+#D- If you want to produce compute PCMDI metrics from seasonal average
+#D- Set TRUE or FALSE to activate/deactivate the metrics computation.
+MetricsPCMDI=FALSE
+#D- Production of outputs from CMIP6 workflow (use of dr2xml and ping files)
+#D- SpaceName must be DEVT/PROD with PackFrequency activated, 
+#D- or TEST with PackFrequency=NONE 
+#D- Set TRUE or FALSE to activate/deactivate CMIP6 outputs
+dr2xmlIPSL=FALSE
+#D- Change CMIP6 outputs directory (without this options, default is WORK)
+#D- StorageCMIP=STORE/SCRATCH/WORK
+StorageCMIP=SCRATCH
+
+#========================================================================