Index: /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/AER/COMP/lmdz.card
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/AER/COMP/lmdz.card	(revision 6560)
+++ /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/AER/COMP/lmdz.card	(revision 6561)
@@ -91,5 +91,5 @@
         (${SUBMIT_DIR}/PARAM/guide.def, .),                                 \
         (${SUBMIT_DIR}/PARAM/run.def, .),                                   \
-	(${SUBMIT_DIR}/PARAM/traceur.def_h2o_${LMDZ_Physics}, traceur.def), \
+    	(${MODIPSL}/bin/tracer_${ConfChem}.def, tracer.def),     	    \
         (${SUBMIT_DIR}/PARAM/iodef.xml, . ),                                \
 	(${SUBMIT_DIR}/PARAM/traceur.def_h2o_${LMDZ_Physics}, traceur.def), \
Index: /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/AER_historical/COMP/lmdz.card
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/AER_historical/COMP/lmdz.card	(revision 6560)
+++ /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/AER_historical/COMP/lmdz.card	(revision 6561)
@@ -93,5 +93,5 @@
         (${SUBMIT_DIR}/PARAM/guide.def, .),                                 \
         (${SUBMIT_DIR}/PARAM/run.def, .),                                   \
-	(${SUBMIT_DIR}/PARAM/traceur.def_h2o_NP, traceur.def), \
+    	(${MODIPSL}/bin/tracer_${ConfChem}.def, tracer.def),     	    \
         (${SUBMIT_DIR}/PARAM/iodef.xml, . ),                                \
         (${MODIPSL}/modeles/LMDZ/DefLists/context_lmdz.xml, . ),            \
Index: /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/AER_pdControl/COMP/lmdz.card
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/AER_pdControl/COMP/lmdz.card	(revision 6560)
+++ /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/AER_pdControl/COMP/lmdz.card	(revision 6561)
@@ -84,5 +84,5 @@
         (${SUBMIT_DIR}/PARAM/guide.def, .),                                 \
         (${SUBMIT_DIR}/PARAM/run.def, .),                                   \
-	(${SUBMIT_DIR}/PARAM/traceur.def_h2o_NP, traceur.def), \
+    	(${MODIPSL}/bin/tracer_${ConfChem}.def, tracer.def),     	    \
         (${SUBMIT_DIR}/PARAM/iodef.xml, . ),                                \
         (${MODIPSL}/modeles/LMDZ/DefLists/context_lmdz.xml, . ),            \
Index: /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/CREATE_erai/COMP/lmdz.card
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/CREATE_erai/COMP/lmdz.card	(revision 6560)
+++ /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/CREATE_erai/COMP/lmdz.card	(revision 6561)
@@ -50,5 +50,5 @@
 List=	(${SUBMIT_DIR}/PARAM/physiq.def_${LMDZ_Physics}, physiq.def), \
 	(${SUBMIT_DIR}/PARAM/gcm.def_${RESOL_ATM_XY}_${LMDZ_Physics},    gcm.def),    \
-	(${SUBMIT_DIR}/PARAM/traceur.def_h2o_${LMDZ_Physics}, traceur.def), \
+    	(${MODIPSL}/bin/tracer_${ConfChem}.def, tracer.def),     	    \
         (${SUBMIT_DIR}/PARAM/vert.def_L${RESOL_ATM_Z},   vert.def),   \
 	(${SUBMIT_DIR}/PARAM/config.def_actuel     ,  config.def),    \
Index: /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/CREATE_erai/config.card
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/CREATE_erai/config.card	(revision 6560)
+++ /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/CREATE_erai/config.card	(revision 6561)
@@ -30,5 +30,5 @@
 #============================
 PeriodNb=50
-
+ConfChem=NMHC_AER_S
 #========================================================================
 #D-- ListOfComponents -
Index: /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/DUSS/COMP/lmdz.card
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/DUSS/COMP/lmdz.card	(revision 6560)
+++ /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/DUSS/COMP/lmdz.card	(revision 6561)
@@ -92,5 +92,5 @@
         (${SUBMIT_DIR}/PARAM/run.def, .),                                   \
         (${SUBMIT_DIR}/PARAM/iodef.xml, . ),                                \
-	(${SUBMIT_DIR}/PARAM/traceur.def_h2o_${LMDZ_Physics}, traceur.def), \
+    	(${MODIPSL}/bin/tracer_${ConfChem}.def, tracer.def),     	    \
         (${MODIPSL}/modeles/LMDZ/DefLists/context_lmdz.xml, . ),            \
         (${MODIPSL}/modeles/LMDZ/DefLists/field_def_cosp1.xml, . ),	    \
Index: /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/GES/COMP/lmdz.card
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/GES/COMP/lmdz.card	(revision 6560)
+++ /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/GES/COMP/lmdz.card	(revision 6561)
@@ -94,5 +94,5 @@
         (${SUBMIT_DIR}/PARAM/run.def, .),                                   \
         (${SUBMIT_DIR}/PARAM/iodef.xml, . ),                                \
-	(${SUBMIT_DIR}/PARAM/traceur.def_h2o_${LMDZ_Physics}, traceur.def), \
+    	(${MODIPSL}/bin/tracer_${ConfChem}.def, tracer.def),     	    \
         (${MODIPSL}/modeles/LMDZ/DefLists/context_lmdz.xml, . ),            \
         (${MODIPSL}/modeles/LMDZ/DefLists/field_def_cosp1.xml, . ),	    \
Index: /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/GES_LR/COMP/lmdz.card
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/GES_LR/COMP/lmdz.card	(revision 6560)
+++ /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/GES_LR/COMP/lmdz.card	(revision 6561)
@@ -93,5 +93,5 @@
         (${SUBMIT_DIR}/PARAM/guide.def, .),                                 \
         (${SUBMIT_DIR}/PARAM/run.def, .),                                   \
-	(${SUBMIT_DIR}/PARAM/traceur.def_h2o_NP, traceur.def), \
+    	(${MODIPSL}/bin/tracer_${ConfChem}.def, tracer.def),     	    \
         (${SUBMIT_DIR}/PARAM/iodef.xml, . ),                                \
         (${MODIPSL}/modeles/LMDZ/DefLists/context_lmdz.xml, . ),            \
Index: /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/NAS_LR/COMP/lmdz.card
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/NAS_LR/COMP/lmdz.card	(revision 6560)
+++ /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/NAS_LR/COMP/lmdz.card	(revision 6561)
@@ -97,5 +97,5 @@
         (${SUBMIT_DIR}/PARAM/run.def, .),                                   \
         (${SUBMIT_DIR}/PARAM/iodef.xml, . ),                                \
-	(${SUBMIT_DIR}/PARAM/traceur.def_h2o_NP, traceur.def), \
+    	(${MODIPSL}/bin/tracer_${ConfChem}.def, tracer.def),     	    \
         (${MODIPSL}/modeles/LMDZ/DefLists/context_lmdz.xml, . ),            \
         (${MODIPSL}/modeles/LMDZ/DefLists/field_def_lmdz.xml, . ),	    \
Index: /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/NMHC/COMP/lmdz.card
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/NMHC/COMP/lmdz.card	(revision 6560)
+++ /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/NMHC/COMP/lmdz.card	(revision 6561)
@@ -93,5 +93,5 @@
         (${SUBMIT_DIR}/PARAM/run.def, .),                                   \
         (${SUBMIT_DIR}/PARAM/iodef.xml, . ),                                \
-	(${SUBMIT_DIR}/PARAM/traceur.def_h2o_${LMDZ_Physics}, traceur.def), \
+    	(${MODIPSL}/bin/tracer_${ConfChem}.def, tracer.def),     	    \
         (${MODIPSL}/modeles/LMDZ/DefLists/context_lmdz.xml, . ),            \
         (${MODIPSL}/modeles/LMDZ/DefLists/field_def_lmdz.xml, . ),	    \
Index: /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/NMHC_AER/COMP/lmdz.card
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/NMHC_AER/COMP/lmdz.card	(revision 6560)
+++ /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/NMHC_AER/COMP/lmdz.card	(revision 6561)
@@ -93,5 +93,5 @@
         (${SUBMIT_DIR}/PARAM/run.def, .),                                   \
         (${SUBMIT_DIR}/PARAM/iodef.xml, . ),                                \
-	(${SUBMIT_DIR}/PARAM/traceur.def_h2o_${LMDZ_Physics}, traceur.def), \
+    	(${MODIPSL}/bin/tracer_${ConfChem}.def, tracer.def),     	    \
         (${MODIPSL}/modeles/LMDZ/DefLists/context_lmdz.xml, . ),            \
         (${MODIPSL}/modeles/LMDZ/DefLists/field_def_lmdz.xml, . ),	    \
Index: /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/NMHC_AER_S/COMP/lmdz.card
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/NMHC_AER_S/COMP/lmdz.card	(revision 6560)
+++ /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/NMHC_AER_S/COMP/lmdz.card	(revision 6561)
@@ -93,5 +93,5 @@
         (${SUBMIT_DIR}/PARAM/run.def, .),                                   \
         (${SUBMIT_DIR}/PARAM/iodef.xml, . ),                                \
-	(${SUBMIT_DIR}/PARAM/traceur.def_h2o_${LMDZ_Physics}, traceur.def), \
+    	(${MODIPSL}/bin/tracer_${ConfChem}.def, tracer.def),     	    \
         (${MODIPSL}/modeles/LMDZ/DefLists/context_lmdz.xml, . ),            \
         (${MODIPSL}/modeles/LMDZ/DefLists/field_def_lmdz.xml, . ),	    \