Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/AER/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/AER/COMP/lmdz.card	(revision 6562)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/AER/COMP/lmdz.card	(revision 6567)
@@ -93,5 +93,4 @@
     	(${MODIPSL}/bin/tracer_${ConfChem}.def, tracer.def),     	    \
         (${SUBMIT_DIR}/PARAM/iodef.xml, . ),                                \
-	(${SUBMIT_DIR}/PARAM/traceur.def_h2o_${LMDZ_Physics}, traceur.def), \
         (${MODIPSL}/modeles/LMDZ/DefLists/context_lmdz.xml, . ),            \
         (${MODIPSL}/modeles/LMDZ/DefLists/field_def_cosp1.xml, . ),	    \
@@ -117,5 +116,5 @@
 
 [OutputText]
-List=   (physiq.def, gcm.def, vert.def, run.def, traceur.def, guide.def, config.def, used_run.def, iodef.xml, context_lmdz.xml, field_def_lmdz.xml, file_def_*lmdz.xml, debug.01, lmdz.prt,out_gcm.e.err, out_gcm.e.out)
+List=   (physiq.def, gcm.def, vert.def, run.def, tracer.def, guide.def, config.def, used_run.def, iodef.xml, context_lmdz.xml, field_def_lmdz.xml, file_def_*lmdz.xml, debug.01, lmdz.prt,out_gcm.e.err, out_gcm.e.out)
 
 [OutputFiles]
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/AER_historical/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/AER_historical/COMP/lmdz.card	(revision 6562)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/AER_historical/COMP/lmdz.card	(revision 6567)
@@ -118,5 +118,5 @@
 
 [OutputText]
-List=   (physiq.def, gcm.def, run.def, traceur.def, guide.def, config.def, vert.def, used_run.def, iodef.xml, context_lmdz.xml, field_def_lmdz.xml, file_def_*lmdz.xml, debug.01, lmdz.prt, out_lmdz.x.err, out_lmdz.x.out)
+List=   (physiq.def, gcm.def, run.def, tracer.def, guide.def, config.def, vert.def, used_run.def, iodef.xml, context_lmdz.xml, field_def_lmdz.xml, file_def_*lmdz.xml, debug.01, lmdz.prt, out_lmdz.x.err, out_lmdz.x.out)
 
 [OutputFiles]
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/AER_pdControl/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/AER_pdControl/COMP/lmdz.card	(revision 6562)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/AER_pdControl/COMP/lmdz.card	(revision 6567)
@@ -109,5 +109,5 @@
 
 [OutputText]
-List=   (physiq.def, gcm.def, run.def, traceur.def, guide.def, config.def, vert.def, used_run.def, iodef.xml, context_lmdz.xml, field_def_lmdz.xml, file_def_*lmdz.xml, debug.01, lmdz.prt, out_lmdz.x.err, out_lmdz.x.out)
+List=   (physiq.def, gcm.def, run.def, tracer.def, guide.def, config.def, vert.def, used_run.def, iodef.xml, context_lmdz.xml, field_def_lmdz.xml, file_def_*lmdz.xml, debug.01, lmdz.prt, out_lmdz.x.err, out_lmdz.x.out)
 
 [OutputFiles]
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/CREATE_erai/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/CREATE_erai/COMP/lmdz.card	(revision 6562)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/CREATE_erai/COMP/lmdz.card	(revision 6567)
@@ -60,5 +60,5 @@
 
 [OutputText]
-List=   (physiq.def, gcm.def, vert.def, run.def, config.def, traceur.def, guide.def,out_create_etat0_limit.e.err.*, out_create_etat0_limit.e.out.*)
+List=   (physiq.def, gcm.def, vert.def, run.def, config.def, tracer.def, guide.def,out_create_etat0_limit.e.err.*, out_create_etat0_limit.e.out.*)
 
 [OutputFiles]
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/DUSS/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/DUSS/COMP/lmdz.card	(revision 6562)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/DUSS/COMP/lmdz.card	(revision 6567)
@@ -116,5 +116,5 @@
 
 [OutputText]
-List=   (physiq.def, gcm.def, vert.def, run.def, traceur.def, guide.def, config.def, used_run.def, iodef.xml, context_lmdz.xml, field_def_lmdz.xml, file_def_*lmdz.xml, debug.01, lmdz.prt,out_gcm.e.err, out_gcm.e.out)
+List=   (physiq.def, gcm.def, vert.def, run.def, tracer.def, guide.def, config.def, used_run.def, iodef.xml, context_lmdz.xml, field_def_lmdz.xml, file_def_*lmdz.xml, debug.01, lmdz.prt,out_gcm.e.err, out_gcm.e.out)
 
 [OutputFiles]
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/GES/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/GES/COMP/lmdz.card	(revision 6562)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/GES/COMP/lmdz.card	(revision 6567)
@@ -118,5 +118,5 @@
 
 [OutputText]
-List=   (physiq.def, gcm.def, vert.def, run.def, traceur.def, guide.def, config.def, used_run.def, iodef.xml, context_lmdz.xml, field_def_lmdz.xml, file_def_*lmdz.xml, debug.01, lmdz.prt,out_gcm.e.err, out_gcm.e.out)
+List=   (physiq.def, gcm.def, vert.def, run.def, tracer.def, guide.def, config.def, used_run.def, iodef.xml, context_lmdz.xml, field_def_lmdz.xml, file_def_*lmdz.xml, debug.01, lmdz.prt,out_gcm.e.err, out_gcm.e.out)
 
 [OutputFiles]
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/GES_LR/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/GES_LR/COMP/lmdz.card	(revision 6562)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/GES_LR/COMP/lmdz.card	(revision 6567)
@@ -118,5 +118,5 @@
 
 [OutputText]
-List=   (physiq.def, gcm.def, run.def, traceur.def, guide.def, config.def, vert.def, used_run.def, iodef.xml, context_lmdz.xml, field_def_lmdz.xml, file_def_*lmdz.xml, debug.01, lmdz.prt, out_lmdz.x.err, out_lmdz.x.out)
+List=   (physiq.def, gcm.def, run.def, tracer.def, guide.def, config.def, vert.def, used_run.def, iodef.xml, context_lmdz.xml, field_def_lmdz.xml, file_def_*lmdz.xml, debug.01, lmdz.prt, out_lmdz.x.err, out_lmdz.x.out)
 
 [OutputFiles]
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/NMHC/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/NMHC/COMP/lmdz.card	(revision 6562)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/NMHC/COMP/lmdz.card	(revision 6567)
@@ -117,5 +117,5 @@
 
 [OutputText]
-List=   (physiq.def, gcm.def, vert.def, run.def, traceur.def, guide.def, config.def, used_run.def, iodef.xml, context_lmdz.xml, field_def_lmdz.xml, file_def_*lmdz.xml, debug.01, lmdz.prt, out_gcm.e.err, out_gcm.e.out)
+List=   (physiq.def, gcm.def, vert.def, run.def, tracer.def, guide.def, config.def, used_run.def, iodef.xml, context_lmdz.xml, field_def_lmdz.xml, file_def_*lmdz.xml, debug.01, lmdz.prt, out_gcm.e.err, out_gcm.e.out)
 
 [OutputFiles]
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/NMHC_AER_S/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/NMHC_AER_S/COMP/lmdz.card	(revision 6562)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/NMHC_AER_S/COMP/lmdz.card	(revision 6567)
@@ -117,5 +117,5 @@
 
 [OutputText]
-List=   (physiq.def, gcm.def, vert.def, run.def, traceur.def, guide.def, config.def, used_run.def, iodef.xml, context_lmdz.xml, field_def_lmdz.xml, file_def_*lmdz.xml, debug.01, lmdz.prt, out_gcm.e.err, out_gcm.e.out)
+List=   (physiq.def, gcm.def, vert.def, run.def, tracer.def, guide.def, config.def, used_run.def, iodef.xml, context_lmdz.xml, field_def_lmdz.xml, file_def_*lmdz.xml, debug.01, lmdz.prt, out_gcm.e.err, out_gcm.e.out)
 
 [OutputFiles]